*COMDECK HISTORY*L564*  ****************************************************************
  
 RHFA054  ADD PROPER PAGE HEADINGS TO FTF/FTFS AND
          CORRECT SOME COMMENTS.
          DJR    81/10/27    FTF    - RHFA054A
                             FTFS   - RHFA054B
                             FILXFR - RHFA054C
  
 RHFA053  ADD CALLS TO FTF/FTFS TO NETDBG CONDITIONALLY 
          IF ASSEMBLED WITH PCOMMENT EQUAL TO DEBUG.
          DJR    81/10/27.         FTF     - RHFA053A 
                                   FTFS    - RHFA053B 
                                   FILXFR  - RHFA053C 
                                   COMCPTF - RHFA053D  (PL1L) 
                                   HISTORY - RHFA053E  (PL1L) 
  
 RHFA031  MODIFY QTFI AND QTFS TO USE NEW SYMBOLS -DD$UH AND NS2. 
          ALSO CLEAN UP VARIOUS ROUTINES. 
  
          IDENTIFIER  DECK     CHANGE 
          ----------  ----     ------ 
          RHFA031A    BCM00    ADD FILESIZE PARAMETER TO RFT COMMAND. 
          RHFA031B    FILTYPE  CALL COMCCAE TO PREVENT ERROR IN COMQCAF.
          RHFA031C    RCM01    USE DD$UH AND NS2 SYMBOLS. 
          RHFA031D    GETQFIL  USE DD$C8 INSTEAD OF DD$CZ.
          RHFA031E    RCM00    USE DD$UH, RESPOND WITH MODIFIED DD
                               PARAMETER IF NECESSARY.
          RHFA031F   *COMQCAF  ADD ICS VALUES TO OLD TABLE (ODTYICS), 
                               AND ADD NEW TABLE FOR DATA DECLARATION 
                               AND FILE SIZE (DDTY AND FSFAC).
  
                     * CALLED BY QTFI, BCM00, GETQFIL,
                                 QTFS, FILTYPE, QUEFIL, AND RCM00.
  
          DPK    11/04/81          COMQCAF,QTFI,BCM00,GETQFIL,RCM01,
                                   QTFS,FILETYPE,QUEFIL,RCM00 
  
 RHFA056  HANDLE PROPERLY THE CASE WHERE A USER'S CONTROL 
          CARD ABORTS.
          DJR    81/10/28          FTFS 
  
 RHFA059  THIS CODE CHANGES THE WAY THE DD PARAMETER
          IS HANDLED IN FTF/FTFS.  IT CREATES A NEW INTERNAL
          DD TYPE OF UH - TO BE USED ON ALL NOS/BE TO NOS/BE
          TRANSFERS- AND CHANGES THE CZ DD TYPE TO C8.
          DJR    81/10/28          FTF    - RHFA059A
                                   FTFS   - RHFA059B
                                   FILXFR - RHFA059C
  
 RHFA068  IF A REMOTE HOST TYPE IS SPECIFIED ALLOW *NOS/BE* 
          ONLY TO BE RECOGNIZED.
          DJR    81/11/10    FTFS 
  
 RHFA073  CORRECT PROBLEM IN GNDT WHICH CAUSED QTFI TO LOOP WHEN
          THE NETWORK DEFINITION TABLE EXCEEDED PLTLEN. 
          ALSO CORRECT AMSGDES TO DEFINE CORRECT MSG DESTINATION. 
          NAD    11/13/81          GNDT,COMQMSG 
  
 RHFA081  PREVENT QTFI HANG, WHEN FILE REQUEUED BECAUSE OF UNRECOGNIZED 
          DISPOSITION CODE OR ZERO PRIORITY.
  
          IDENTIFIER  DECK
          RHFA081     GETQFIL 
          RHFA081A    QFILERR 
          RHFA081B    DSPQFIL 
  
          DPK    01/08/82          GETQFIL,QFILERR
  
 RHFA099  THIS MOD IS MADE TO ALLOW FTF TO BE COMPATABLE
          WITH NOS.  THE LABEL TSCS IS CHANGED TO TSAC AND
          THE VALUE OF STAT IS CHANGED TO 77B DEFAULT.
          DJR    81/12/15.   HISTORY  RHFA099   (PL91)
                             COMFFTF  RHFA099A  (PL91)
                             FTF      RHFA099B  (PL91)
                             FTFS     RHFA099C  (PL91)
                             HISTORY  RHFA099D  (PL1L)
                             COMCPTF  RHFA099E  (PL1L)
  
 RHFA103  THIS MOD WILL DAYFILE A MFLINK THAT IS PROCESSED
          BY FTF.  IT ALSO CHANGES THE WAY THE TIMEOUT PARAMETER
          IS PASSED TO NETXFR.
          DJR    82/01/12.         COMFFTF RHFA103A 
                                   FTF     RHFA103B 
                                   FTFS    RHFA103C 
                                   FILXFR  RHFA103D 
  
 RHFA061  THIS MOD FIXES PASSING DAYFILES AND PASSING 
          ABORT STATUS OF SERVICER JOB. 
          DJR    82/01/12.         FTFS     RHFA061A
                                   FILXFR   RHFA061B
                                   COMFSBK
  
 RHFA214  REMOVE CALL TO NETMAC FROM COMCMAC AND PLACE CALLS IN THOSE 
          DECKS WHICH REALLY NEED NETMAC.  THIS GREATLY REDUCES 
          ASSEMBLY TIMES OF MOST COMPASS ROUTINES.
          ADD NOS CONDITIONAL CODE TO COMCMAC TO: 
          - DEFINE NOS/BE RA.XXX SYMBOLS IN TERMS OF NOS XXXR SYMBOLS,
          - PROVIDE NOS/BE CONTRLC AND LOADREQ MACRO DEFINITIONS. 
  
          RHFA214            HISTORY (PL1L) 
          RHFA214A           COMCMAC
          RHFA214B           BKC
          RHFA214C           ECL
          RHFA214D           GMB
          RHFA214E           PMB
          RHFA214F           TNL
          RHFA214G           WLB
          RHFA214H           CMACROS
          RHFA214K           HISTORY (PL91) 
          RHFA214L           FTF
          RHFA214M           FTFS 
          RHFA214N           FILXFR 
  
          NAD    2/14/82     COMCMAC,BKC,ECL,GMB,PMB,TNL,WLB (PL1L) 
                             FTF,FTFS,FILXFR (PL91) 
  
 RHFA216  MODIFY QTFPROC FOR NOS AND RHF AUTO-START.
          PURGE QTFINIT AS IT IS NO LONGER NEEDED.
          NAD    2/14/82     QTFPROC,QTFINIT
  
 F5471QT  FEATURE CODE FOR NOS QTF AND RHF ROUTING TEXT 
          SUPPORT.
  
          PCH/RLF 03/04/82         MANY DECKS.
  
 RHFA284  CORRECT QTF HANG - QTFI KEEPS TRYING TO ACQUIRE FILE FOR
          DISCONNECTED PID. 
          DPK    03/10/82          SRES 
  
 RHFA148  QTFI/S RECOGNIZES RHF IDLE-DOWN REQUEST.
          DPK    04/05/82          NMSG 
  
 RHFA274  CORRECT QTFI HANG AFTER COMPLETION OF 1 OR 2 FILES, POSSIBLY
          WITH ERRORS.  SWAPAFT NOW UPDATES THE QAF-INDEX, IF NECESSARY,
          WHEN EXCHANGING ACTIVE FILE ENTRIES.
          DPK    03/19/82          SWAPAFT
  
 RHFA296  CORRECT QTFI ABORT (SETPLTA).  CODE ADDED TO ASSOCIATE
          CONNECTION REJECTS WITH PROPER ACTIVE FILE ENTRY. 
  
            IDENT    DECK 
            RHFA296  NMSG 
            RHFA296A RFIL 
            RHFA296B COMQFIL
            RHFA296C CONENDR
  
          DPK    04/05/82          NMSG,RFIL,COMQFIL,CONENDR
  
 F5471FT  MODIFY FTF FOR NOS.  REPAIR RECOVERY PROCESSING.
          NAD    04/11/82    COMFFTF,FTF
  
 C5471QT  CORRECTIONS TO NOS QTF FEATURE CODE.
          RLF/MMC/NAD  04/17/82    QTF (MANY DECKS), CHGQFIL (NEW DECK) 
  
 C5471QU  IMPROVE QTFI/QTFS PERFORMANCE BY DOING A SERIES OF SHORT
          (NO ROLLOUT) NETWAITS FOLLOWED BY A LONG NETWAIT.  THIS 
          HELPS TO KEEP INITIATOR AND SERVICER IN SYNCH.
          CORRECT QTFI HANGS CAUSED BY FAULTY INITIALIZATION OF PLTAPID.
          NETWAIT(0,0) CHANGED TO NETWAIT(1,0). 
          NAD    04/26/82    QTFI,QTFS
  
 F5471MQ  ADD PROGRAM MFQUEUE FOR ROUTING QUEUE FILES WITH
          EXPLICIT ROUTING TEXT.  NOTE THAT MFQUEUE IS ONLY NEEDED
          FOR THOSE REMOTE HOSTS WHICH DO NOT SUPPORT STANDARD
          NOS OR NOS/BE ROUTE PARAMETERS. 
          JPK    04/09/82    WEOR12, MFQUEUE (NEW DECKS)
  
 RHFA294  QTFI SENDS FC/BREAK AFTER TIME-OUT ONLY IF THE CONNECTION 
          IS STILL ACTIVE AND FILE TRANSFER (FIP) IS NOT IN PROGRESS. 
          THIS PREVENTS A QTF-RHF HANG. 
          DPK    04/08/82          SFIL 
  
*C5471FT  CORRECTIONS TO NOS MFLINK FEATURE CODE. 
*         NAD    05/09/82    COMFFTF,FTF
  
 RHFA444  MFLINK SENT AN INVALID STATE-OF-TRANSFER ON NORMAL TERMINATION
          STOP COMMAND AND FAILED TO ISSUE FILE-SIZE ACCOUNTING MESSAGE.
          ENSURE MFLINK PERFORMS A NETOFF BEFORE WAITING FOR OPERATOR 
          RESPONSE.  DO NOT ALLOW LESS THAN THREE-CHARACTER LIDS. 
          NAD    05/12/82    MFLINK 
  
 RHFA423  ALLOW FTFS TO TERMINATE MORE GRACEFULLY ON CONNECTION 
          BREAKS. 
          NAD    05/07/82    PTFS,FTFS,FILXFR,FTFSPROC
  
 RHFA432  FTFS IS NOT SETUP TO HANDLE A STOP AFTER RPOS SENT FROM 
          FILXFR.  TEMPORARY FIX IS TO HAVE FILXFR SIMULATE CONNECTION
          BROKEN AND TERMINATE GRACEFULLY.
          NAD    05/10/82    FILXFR 
  
 RHFA431  *MFLINK COMPLETE.* MESSAGE IS ISSUED AFTER NEXT MFLINK
          STATEMENT IS DAYFILED IF CONTINUED MFLINK SEQUENCE. 
          NAD    05/10/82    MFLINK 
  
 RHFA421  QTFI (CONENDR) CLEARS FLAGS AFTER CONNECTION ENDED, AND 
          DISABLES PID LOCALLY IF CONNECTION BROKEN FOR TIME-OUT. 
          QTFI (CONREQM) GETS A GROUP-ID FROM CMM ONLY ONCE.
          QTFI (SFIL) DOES NOT DELAY 10 MIN AFTER FC/BRK FOR TIME-OUT.
            RHFA421  - CONENDR
            RHFA421A - CONREQM
            RHFA421B - SFIL 
          DPK    05/07/82          CONENDR,CONREQM,SFIL 
  
 RHFA424  PREVENT QTF ABORTS DUE TO MORE THAN ONE SEQUENCER JOB RUNNING.
          CHANGE DEFAULT RERUN INTERVAL TO ONE MINUTE.
          NAD    05/07/82    QTFPROC
  
 RHFA441  QTFI REQUEUES (INSTEAD OF EVICTING) I/O FILES AFTER TRANSFER
          FAILURE.
            RHFA441   NEXTPID 
            RHFA441A  GETQFIL 
            RHFA441B  CONREQM 
            RHFA441C  SFIL
            RHFA441D  RCM04 
          DPK    05/16/82          NEXTPID,GETQFIL,CONREQM,SFIL,RCM04 
  
 RHFA460  MODIFY FTFS TO SEND LEGAL STATE-OF-TRANSFER PARAMETER ON STOPR
          COMMAND AFTER SUCCESSFUL FILE TRANSFER. 
          NAD    06/01/82    FTFS 
  
 F5471EP  THIS PSR CHANGES THE SUBSYSTEM PP AND CP
          ROUTINES TO USE THE SSJ= ENTRY POINT RATHER THAN
          USING SYSTEM ORIGIN.
          GSA    02/28/82          COMNOSDEF,RHH,NLD,RHF,DMPNAD 
                                   QTFS,PTFS
  
          F5471EPA                 COMNOSDEF
          F5471EPB                 RHH
          F5471EPC                 NLD
          F5471EPD                 RHF
          F5471EPE                 DMPNAD 
          F5471EPH                 HISTORY (PL91/REL15B)
          F5471EPF                 QTFS 
          F5471EPG                 PTFS 
  
 RHFA311  THIS PSR ADDS CODE TO FTFS TO DELAY THE 
          INTERNAL REQUEST UNTIL AFTER A USER REQUEST CAN 
          BE EXECUTED. OTHERWISE A USER REQUEST WOULD FAIL
          WITH LFN ALREADY IN USE.
          GSA    06/02/82    FTFS,FILXFR
  
          RHFA311A           FTFS 
          RHFA311B           FILXFR 
  
 RHFA457  DEFAULT *CHARGE* ERRORS WILL CAUSE *PTFS* TO ABORT
          IN AN ABNORMAL MANNER, ISSUING NO DAYFILE.  THIS IS BECAUSE 
          A REGISTER ORIGINALLY POINTING TO THE ERROR MESSAGE IS
          MISTAKENLY SET TO ANOTHER VALUE BEFORE THE MESSAGE HAS BEEN 
          PROCESSED.  THIS MODSET ALTERS THE CODE TO PRESERVE THE 
          POINTER REGISTER. 
          JH     05/26/82    PTFS 
  
 RHFA461  CORRECT QTFI/QTFS PROBLEMS WITH GROWING FIELD LENGTH
          BY ENSURING REQUESTED CMM BUFFERS ARE RELEASED VIA CALLS
          TO FREECMM.  ADD NEW PROCEDURE, RELNTA, TO RETURN ALL 
          NETWORK BUFFERS TO CMM. 
          NAD    06/01/82    CONENDR,FREENTA,RELNTA,DSPQFIL,GETQFIL 
  
 RHFA470  CORRECT EXPLICIT TEXT PROCESSING IN QTFS ROUTINE VALROUT. 
          MMC    6/1/82 
  
 RHFA454  THIS PSR UPDATES FTF, FTFS, AND PTFS SO THAT THEY 
          SEND THE CORRECT FILE SIZE IN THE LEVEL 7 PROTOCOL
          MESSAGES. 
          GSA    05/27/82          GFL,FTF,FTFS,PTFS
  
          RHFA454A                 GFL
          RHFA454B                 HISTORY (PL91/REL15B)
          RHFA454C                 FTF
          RHFA454D                 FTFS 
          RHFA454E                 PTFS 
  
 RHFA299  FTFS DOES NOT PROCESS NULL CONTROL STATEMENTS 
          PROPERLY.  THIS CODE INSTALLS A TEST FOR CONTROL
          STATEMENTS.  AN ERROR MESSAGE IS RETURNED IF THE
          FILE IS EMPTY.
          JWG    06/11/82    FTFS 
  
 RHFA345  FTFS DID NOT PROCESS LABEL AND REQUEST STATEMENTS.
          THIS CODE CORRECTS THIS PROBLEM AND RETURNS AN
          ERROR IF THE PARAMETERS ARE BAD.
          JWG    06/11/82    FTFS 
  
 RHFA440  PREVENT QTFI MONITOR CALL ERROR ON NOS DUE TO UNPRESET
          COMMON BLOCK COMQDSP. 
          MMC    06/14/82 
  
 RHFA481  THIS PSR ADDS CODE TO FTFS TO MAKE A CALL TO RHH
          TO SET THE FORCE EXIT PROCESSING BIT IN FTFS CONTROL
          POINT AREA. 
          GSA    06/09/82         FTFS
  
 F7911FT  FTF DID NOT SUPPORT THE MACRO CALL TO MFLINK. 
          THIS CODE ADDS THIS SUPPORT AND RETURNS THE ERROR 
          CODES AND SUB-ERROR CODES TO THE CALLING PROGRAM. 
          MODIFIED BY RFG  06/22/82.
          JWG    06/14/82    FTF
  
 F7911ML  MFLCALL DID NOT RETURN THE CORRECT ERROR CODE 
          AND WITH THE RC PARAMETER THE ERROR WAS NOT RETURNED
          TO THE USER.  THIS CODE CORRECTS THESE PROBLEMS AND 
          ADDS A NEW ERROR CODE (* 22B *) AND ADDS SUB-ERROR
          CODES (* 0 - 5 *).
          JWG    6/14/82           MFLCALL
  
 RHFA446  THIS PSR ADDS CODE TO FTF TO MODIFY THE DELAY 
          PROCEDURE THAT FTF USES WHEN UNABLE TO NETON AND
          CONNECT TO FTFS.
          GSA    06/22/82    COMFFTF,FTF
  
 RHFA254  INITQ SENDS DAYFILE MESSAGE EXPLAINING NETON REJECT, AND
          STOPS (INSTEAD OF ABORTING) IF REJECT CODE IS 1, 2, OR 3. 
          NEW MESSAGES ADDED TO COMQMSG ALONG WITH CLEAN-UP CODE, 
          WHICH ADDS ZERO-BYTE TERMINATORS TO DEBUG MESSAGES AND
          ADDS NOSBE/NOS CONDITIONAL CODE.
  
          IDENT    DECK 
          RHFA254  INITQ
          RHFA254A COMQMSG
          RHFA254B QUEFIL 
  
          KEK    06/22/82          COMQMSG,INITQ,QUEFIL 
  
 RHFA409  THIS PSR ADDS CODE TO MFQUEUE TO PROPERLY VALIDATE
          THE LFN SPECIFIED IN THE MFQUEUE CONTROL STATEMENT. 
          GSA    06/24/82          MFQUEUE
  
 RHFA537  FTFS PRODUCED OUTPUT FILE IF RNEG SITUATION OCCURED 
          (I.E. ATTACH OF NON-EXISTENT FILE).  INSERT MISSING 
          REVERT IN FTFSPROC. 
          NAD    06/29/82    FTFSPROC 
  
 C5471QW  MORE QTF/QTFS CORRECTIONS AND ENHANCEMENTS: 
          - CORRECT JOB NAME AND BANNER PAGE NAME PROCESSING; 
          - AS AN INTERIM SOLUTION, HAVE QTF EVICT ANY FILE 
            REJECTED BY A SERVICER DUE TO A "USER ERROR"
            (I.E. INVALID USER NAME OR PASSWORD, INVALID EXPLICIT 
             TEXT, INVALID OUTPUT DEVICE);
          - MODIFY QTFS TO DETECT INVALID USER NAME ERRORS FROM 
            DSP AND REFLECT SUCH IN STOPR STATE-OF-TRANSFER;
          - FIX UP MORE DAYFILE MESSAGES. 
  
          C5471QW  - PL91 DECKS 
          C5471QWA - PL1L COMDECKS (COMCAPR,COMCDEF)
  
          MMC/NAD  07/11/82        QTF,QTFS (MANY DECKS)
  
*L577*  ****************************************************************
  
 RHFA030  ADD DBGAVAIL AND DBGXFER PARAMETERS TO NETDBG CALL. 
          NEW FORMAT IS --
              NETDBG (DBGSUP, DBGDATA, DBGAVAIL, DBGXFER) 
          WHERE 
                DBGXFER CONTROLS LOGGING OF TRANSFER MESSAGES AND 
                DBGAVAIL IS A RETURN PARAMETER INDICATING DEBUG 
                CAPABILITY AVAILABLE
  
          RHFA030      NETDBG     (PL1L)
          RHFA030A     COMACBF    (PL1L)
          RHFA030B     DAYFMSG    (PL1L)
          RHFA030C     CMACROS    (PL1L)
          RHFA030D     PL91 HISTORY ENTRY ( DUPLICATE OF PL1L)
          RHFA030E     FTF         (PL91) 
          RHFA030F     FILXFR      (PL91) 
          RHFA030G     FTFS        (PL91) 
          RHFA030H     QTFI        (PL91) 
          RHFA030I     QTFS        (PL91) 
          RHFA030J     PTFS        (PL91) 
          RHFA030K     PL92 HISTORY ENTRY ( DUPLICATE OF PL1L)
          RHFA030L     SETUP(ITF)  (PL92) 
          KEK    06/17/82          NETDBG,COMACBF,DAYFMSG,CMACROS 
                                   FTF,FILXFR,FTFS,QTFI,QTFS,PTFS 
                                   SETUP
  
 RHFA447  THIS PSR ADDS CODE TO FTF TO MAKE SURE THAT A DD
          OF MORE THAN TWO CHARACTERS IS NOT ALLOWED. 
          GSA    07/06/82    FTF
  
 RHFA157  MODIFY FTFS TO AVOID HANGING AT CONTROL POINT WHEN RHF
          BECOMES UNAVAILABLE IMMEDIATELY FOLLOWING INITIAL CONNECTION. 
  
          CODE REVISES *ABT* ROUTINE TO SPECIAL CASE STATUS=1,2,3 
          TO ISSUE AN ABORT WITH SKIP TO EXIT(S) IN FTFS PROCEDURE. 
  
          ADD *CHKERR* MACRO TO REMOVE =XABT JUMPS NOLONGER NEEDED
          AND IMPLEMENT RETURN JUMP CALLS TO *ABT* FOR EASIER 
          TRACKING OF ERROR EXITS.
                 RHFA157F          FTFS 
                 RHFA157X          FILXFR 
          JXS    7/12/82           FTFS,FILXFR                       712
  
 RHFA392  PC=N PARAMETER ON MFLINK AND MFQUEUE STATEMENTS ALLOW 
          PREFIX CHARACTER TO BE ONLY ALPHA/NUMERIC AND ASTERISK. 
  
          CODE REVISES PARAMETER PROCESSING TO ALLOW PREFIX CHARACTER 
          TO BE ANY DISPLAY CODE CHARACTER EXCEPT ) $ . AND DISPLAY 
          CODE 00. COMDECK COMCUCS IS ADDED TO PL91 CONTAINING
          UCS ROUTINE TO UNPACK CONTROL STATEMENTS. 
                 RHFA392L          FTF
                 RHFA392Q          MFQUEUE
                 COMCUCS           NEW COMDECK COMCUCS
          JXS    6/23/82           FTF,MFQUEUE,COMCUCS               623
  
 RHFA125  THIS PSR ADDS CODE TO LCNLIB ROUTINE WMB AND FTF
          TO NOTIFY USERS WHEN DELAY IS CAUSED BY REMOTE
          MAINFRAME. I.E. WAIT FOR PERM FILE, WAIT FOR
          PACK, OR WAIT FOR REMOTE RHF. 
          GSA    07/11/82    WMB,COMFFTF,FTF
  
          RHFA125            HISTORY  (PL1L)
          RHFA125A           WMB
          RHFA125B           HISTORY  (PL91)
          RHFA125C           COMFFTF
          RHFA125D           FTF
  
 RHFA366  ERROR MESSAGES ARE NOT INFORMATIVE TO THE USER
          AS TO WHAT DECK IS ISSUING THE MESSAGE. THE SUBROUTINE
          CDD IN PTFS DOES NOT ANALYZE AND HANDLE THE DD ARGUMENT 
          CORRECTLY. THIS IDENT FIXES THESE PROBLEMS. 
          LRW    07/09/82    FTF,PTFS,FTFS,COMFFTF (PL91) 
                             GMB,PRP,PDP,PTP,COMCPTF  (PL1L)
  
          RHFA366            FTF,PTFS,FTFS,COMFFTF
          RHFA366A           COMCPTF,GMB,PRP,PDP,PTP
  
 RHFA459  THIS PSR ADDS CODE TO LCNLIB ROUTINE GFL, FTF, AND
          FTFS TO PROPERLY DETECT ERRORS IN INCORRECT FILE
          PERMISSIONS.
          GSA    07/11/82    GFL,FTF,FTFS 
  
          RHFA459            HISTORY  (PL1L)
          RHFA459A           GFL
          RHFA459B           HISTORY  (PL91)
          RHFA459C           FTF
          RHFA459D           FILXFR 
  
 RHFA538  THIS PSR ADDS CODE TO MFLINK TO APPEND THE MAINFRAME
          ID TO THE DELAY FILE PFN TO ALLOW SITES WITH SHARED 
          DEFAULT PERMANENT FILE SETS TO HAVE UNIQUE DELAY FILES. 
          GSA    07/08/82    COMFFTF,FTF
  
          RHFA538A           COMFFTF
          RHFA538B           FTF
  
 RHFA433  THIS MODSET RESOLVES THE FOLLOWING PROBLEMS : 
          1.  PTFS DOES NO PROCESS PACKNAM PROPERLY.
          2.  PTFS DOES NO RETRY PFM IMMEDIATELY WHEN CATALOG INTERLOCK 
              IS ENCOUNTERED. 
          3.  PTFS DOES NO REJECT THE SECONDARY USER STATEMENT WHEN IT
              IS DISABLED.
          4.  PTFS DOES NO ACCEPT THE STATEMENT WITHOUT A TERMINATOR. 
          5.  PTFS DOES NO PROCESS *R=* PARAMETER IN PACKNAM STATEMENT. 
  
          SOLUTIONS : 
          1.  DO NOT RETURN THE PACKNAM STATEMENT IN THE RECOVERY TEXT. 
          2.  RETRY PFM REQUEST IMMEDIATELY IF THE ERROR IS CATALOG 
              INTERLOCK 
          3.  REJECT THE SECONDARY USER STATEMENT IF IT IS NOT ALLOWED. 
          4.  APPEND A TERMINATOR *.* AT THE END OF EACH STATEMENT IF 
              THERE IS NO *.* OR *)*. 
          5.  ADD *R* PARAMETER IN THE VALIDATION TABLE AND PUT THE 
              DEVICE IN THE *PACKNAM* REQUEST.
  
          MMC.   80/08/03.   PTFS.
  
 RHFA557  MFLINK HANGS IN AUTO-RECALL STATUS IF TERMINAL INTERRUPT
          OCCURS WHILE WAITING FOR INPUT DIRECTIVES.  ENSURE INTERRUPTED
          TERMINAL INPUT REQUEST FROM RPV BLOCK IS SET COMPLETE.
          NAD    07/29/82    FTF
  
RHFA565   ADDS CODE TO HANDLE BAD (OR MISSING) PARAMETERS 
          ON THE MFLINK MACRO PARAMETER LIST
          RFG    07/21/82          MFLCALL
  
 RHFA568  THIS PSR ADDS CODE TO PTFS TO MAKE SURE THAT THE
          DD PARAMETER IS INITIALIZED TO C6 BEFORE EACH 
          RFT STATEMENT IS PROCESSED. 
          GSA    07/28/82    PTFS 
  
 F5471PT  RESTRUCTURE PTFS TO ALLOW OVERLAYING. 
          CRL    08/23/82    PTFS,COMPTFS 
  
 RHFA209  QTF (INITIATOR) FIXED TO ACCEPT TAPE JOB FOR TRANSFER (DC=5), 
          INSTEAD OF REQUEUING IT.
          DPK    08/19/82          GETQFIL
  
 RHFA488  THIS PSR ADDS CODE TO FTF TO MAKE SURE THE
          RECOVERY FILE GETS FLUSHED WHEN A FILE TRANSFER IS
          NOT REQUIRED. 
          GSA    08/18/82    FTF
  
 RHFA601  THIS MODSET ADDS A LINE TERMINATOR AT THE END OF THE
          INPUT TEXT TO AVOID GABAGE FROM TRANSFERED. 
          MMC.   82/09/08.  PTFS. 
  
 RHFA607  NOS QTFS SENDS NBE AS HOST TYPE ON RFT COMMAND. 
          THIS PREVENTS SUCCESSFUL NOS V1 TO NOS V2 TRANSFERS 
          BECAUSE NOS V1 QTF WILL NOT ALLOW NBE HOST TYPE TO
          MODIFY DD TO UH.
          NAD    08/24/82    RCM00
  
 RHFA629  THIS MODSET CHANGES THE CODE IN THE ROUTINE *COG* OF
          *PTFS* SO THAT IT WILL ISSUE AN APPROPRATE DAYFILE
          MESSAGES AND ABORT IF ABNORMAL *NETXFR* STATUS IS RECEIVED
          INSTEAD OF SENDING A *FC/BRK* SUPERVISORY MESSAGE TO THE RHF. 
          MMC.   82/09/08.  PTFS. 
  
 RHFA551  THIS PSR ADDS CODE TO FTF TO ISSUE AN ERROR MESSAGE AND 
          ABORT IF A PC PARAMETER OF MORE THAN ONE CHARACTER
          IS ENTERED. 
          GSA    08/31/82    COMFFTF,FTF,COMCUCS
  
          RHFA551A           COMFFTF
          RHFA551B           FTF
          RHFA551C           COMCUCS
  
 F5471QR  ENHANCE QTF/QTFS REJECTED FILE PROCESSING.
          NAD    09/09/82 
  
 C5471QR  ADDITIONAL QTF/QTFS REJECTED FILE ENHANCEMENTS. 
          NAD    09/27/82          QTF/QTFS 
  
 F7436LD  ADDS SUPPORT FOR MFDUMP AND MFLOAD TO SUPPORT CYBER 200 
          TO NOS/BE TAPE ARCHIVE AND RETRIEVAL. 
          TGP    08/02/82    FTFS,MFLOAD,MFDUMP 
  
 RHFA419  THIS MODSET RESOLVES THE FOLLOWING PROBLEMS : 
          1.  MFLINK ISSUES *MFLINK ABORT* DAYFILE MESSAGE WHICH OVERWRITE
              THE PREVIOUS ERROR MESSAGE ISSUED TO THE NOS TERMINAL.
          2.  MFLINK DOES NOT ACCEPT THE $MFLINK CONTROL STATEMENT. 
          3.  MFLINK AND PTFS EXECUTE A WEAK EXTERNAL ROUTINE.
          4.  MFLINK ADVANCE A COMMENT STATEMENT. 
          MMC.  82/08/30.  COMCUCS, MFLINK AND PTFS.
  
 RHFA547  RHF - PTFS ERROR MESSAGES ARE CONFUSING WHEN THEY 
          STATE *  PTFS  -  INVALID  M=.* 
          OR    *  PTFS  -  INVALID  FORT.*.
          THIS MODSET ALSO ALLOWS NULL PARAMETERS TO BE 
          SPECIFIED.  (DEPENDENT ON RHFA588  - VCP).
          LRW    09/20/82    PTFS 
  
 RHFA582  MODSET FIXES PACKNAM WITH R OPTION PROBLEM. 
          CRL    82/09/16.   PTFS AND COMPTFS.
  
 RHFA593  MODSET ENABLES *MFQUEUE* TO ACCEPT MORE THAN ONE
          INPUT DIRECTIVES. 
          MMC.   82/09/24.   MFQUEUE. 
  
 RHFA626  PROBLEM - *PTFS* OVERWRITES AN INPUT STATEMENT IF 
          THE *CHARGE* STATEMENT IS NOT PROVIDED IN THE INPUT STREAM. 
          SOLUTION - EXECUTE THE *CHARGE* STATEMENT IN THE PROPER PLACE.
          MMC.   82/09/22.   PTFS.
  
 RHF0013  THIS PSR ADDS CODE TO FTFS TO RETURN THE
          APPROPRIATE ERROR RESPONSE TO FTF IF FTFS 
          HAS BEEN ABORTED. 
          GSA    09/20/82    FTFS 
  
 C5471QRA PREVENT QTF ABORT DUE TO DSP COMPLETE BIT ALREADY SET.
          PREVENT NOS QTFS FROM REJECTING NON-VALIDATE SOURCE LID.
          CORRECT QTFS TO RETURN CORRECT REJECTED ATTRIBUTE VALUE.
          CORRECT NBE QTF TO SEND LOG FILE TO TERMINAL ID.
          NAD    10/13/82    RTNFIL 
  
 F5471LD  THIS PSR ADDS CODE TO RHF TO DISTINGUISH BETWEEN
          LIDS AND PIDS BEING DISABLED OR UNDEFINED AT
          THE LOCAL HOST. 
          GSA    10/05/82    COMRRTN,ACRQA,CONARQR
                             AGEREQ,FTF 
  
          COMRRTN            F5471LDA 
          ACRQA              F5471LDB 
          CONARQR            F5471LDC 
          AGEREQ             F5471LDD 
          HISTORY (PL91)     F5471LDE 
          FTF                F5471LDF 
  
 RHFA602  MODSET ISSUES CORRECT ERROR MESSAGE FOR INVALID DIRECTIVE.
          CRL.   82/09/22.   PTFS.
  
 C5471QRB MORE QTF/QTFS CORRECTIONS:  
          - HAVE QTF IGNORE ACQUIRED FILES WITH INVALID LFN (*JANUS  *) 
          - CORRECT NOS QTF TO PREVENT DSP ERROR 44 WHEN ATTEMPTING 
            TO ROUTE LOG FILE IF CUN OR OUN ARE NULL. 
          - CHANGE QTFS TO NOT ATTEMPT TO MODIFY DD=C8 FROM NOS V1. 
          - CORRECT QTFS TO PROPERLY SET FILE TYPE FLAGS TO DETECT
            INVALID EC/DC COMBINATIONS ON ROUTING TEXTS.
          - REMOVE NOS QTFS FORCE SYSTEM ORIGIN IF NO OUN AVAILABLE;
            (DEPENDENT ON CODE IN *0BP* TO USE UJN ON BANNER IF 
             OUN = SYSTEMX).
            THIS PREVENTS ORIGIN TYPE CONFLICT WHEN ROUTING FILE TO 
            REMOTE BATCH TERMINAL AND NO OUN AVAILABLE. 
          - MODIFY QTFS TO ASSUME IC=ASCII IF EC=A9 SPECIFIED ON
            ON ROUTING DIRECTIVE FOR PRINT FILE.
          - CHANGE CON/ACRQ/A TIMEOUT CHECK SO THAT QTF WILL NOT
            RETRY CONNECTIONS TIMED OUT BY SUBSYSTEM. 
          NAD    10/19/82          QTF/QTFS 
  
 C5471F2  MODSET PUTS CONDITIONAL CODE IN MFLINK UNDER NOS
          SO THAT IT WILL NOT ISSUE ADDITIONAL DAYFILE MESSAGE. 
          CORRECT MFLINK AND PTFS UNDER NOS TO USE RFL= ENTRY POINT.
          ADD CMM CALLS TO MFLINK TO REDUCE FL DURING FILE TRANSFER.
          CORRECT TIMEOUT PARAMETER.
          MMC.   82/10/20.   MFLINK,PTFS,FTFS,FILXFR
  
 *L577*    ************************************************ 
 *L587*    ************************************************ 
 F5770PF  MULTI-LEVEL SECURITY FEATURE CODE.  THIS MODSET 
          SUPPORTS THE *AL*, *XD*, AND *XT* PERMANENT FILE PARAMETERS.
          CRL    83/02/21    COMPTFS, PTFS
  
 RHFA745  IN CERTAIN CASES, CYBER 200 QTF SENT A ZERO-LENGTH
          IMPLICIT TEXT ATTRIBUTE, CAUSING DSP ERROR 12B ON NOS QTFS. 
          MODIFY RCM00 TO IGNORE ROUTING TEXTS OF LENGTH ZERO.
          NAD    02/10/83          RCM00
  
 RHFA574  THIS PSR CHANGES CODE IN FTFS TO USE THE NETDBG 
          MACRO FROM COMCMAC TO CALL FIP ROUTINE NETDBG.
          THIS REPLACES THE CURRENT NETDBG CALL IN FTFS 
          WHICH USED THE RJL MACRO TO CALL NETDBG.  THIS
          CALL WAS ILL-FORMATTED AND CAUSED MODE ONE ERRORS 
          WHEN FTFS WAS EXECUTING THE DEBUG CODE. 
          GSA    01/25/83    FTFS 
  
 RHFA708  PROBLEM - FILE TRANSFER WILL NOT TAKE PLACE IF THE
                 *ST* PARAMETER ON THE *MFLINK* STATEMENT IS NOT
                 SPECIFIED.  THIS IS BECAUSE *PTFS* DOES NOT
                 PROCESS THE USER TEXT PROPERLY.
          SOLUTION - CLEAR THE *RFTPASS* FLAG WHENEVER A *RFT*
                 IS RECEIVED. 
          MMC.   82/11/17.   PTFS.
  
 RHFA704  PREVENT QTF I/O SEQUENCE ERROR ABORT BY ENSURING
          CONNECTION LOGFILE IS NOT BUSY BEFORE CALLING RTNFIL
          TO UNLOAD IT. 
          NAD    11/20/82    RELAFT 
  
 RHFA692  CORRECT QTFS ROUTINE VALROUT TO:  
          1. PROPERLY ROUTE FILE TO CENTRAL SITE IF TID=C SPECIFIED.
          2. NOT ALLOW IMPLICIT TEXT OWNER UN TO BE OVERRIDDEN
             BY SYSTEMS ROUTING TEXT OUN - THIS CORRECTS CERTAIN
             ANALOMIES IN THE NOS BANNER PAGE ALGORITHM WHEN ROUTING
             BETWEEN NOS 2 HOSTS WITH NO-VALIDATE ATTRIBUTE SET.
          3. IGNORE UNKNOWN PARAMETERS ON SYSTEMS ROUTING TEXT
             FOR UPWARD COMPABILITY WITH FUTURE RELEASES. 
          NAD    11/20/82          VALROUT
  
 RHFA691  ON PTFS *PACKNAM* DIRECTIVE, *R=XX* DOES NOT WORK CORRECTLY.
          SOLUTION - CHECK BOTH *PN=* AND *PACKNAM* PARAMETERS AND
                 SPECIFY THE DEVICE TYPE IN THE *PACKNAM* REQUEST.
                 *FET*. 
          MMC.   82/11/03.   PTFS.
  
 RHFA684J FTFS (FILXFR) ASSUMES PREMATURE-TERMINATION STATUS (13B)
          IS NORMAL.
          ASSOCIATED MODS ON PL1L --- 
          FIP PROCESSES QUIT (QR) COMMAND IF RECEIVED AFTER 
          END-OF-DATA (ES) SENT.
          NETXFR CHECKS FOR ASYNCHRONOUS NETWORK MESSAGE MORE OFTEN 
          WHEN TRANSFERRING CODED FILES.
            IDENT     DECK  (PL1L)
            RHFA684   COMACBX (OUTREQ,PRACKM,PRNAKM,PROTERR)
            RHFA684A  NETXFR
            RHFA684B  CIOERRC 
            RHFA684C  OUTREQ
            RHFA684D  PENDXFR 
            RHFA684E  PRACKM
            RHFA684F  PRNAKM
            RHFA684G  PROTERR 
            RHFA684H  PRQUIT
            RHFA684I  PUTLEV7 
          DPK    11/02/82          FILXFR 
  
 RHFA683  PROBLEM - INPUT DIRECTIVES MAY NOT BE PROCESSED BY THE
                 *PTFS* IF THEY FOLLOW *ATTACH* OR *DEFINE*.  THIS IS BECAUSE 
                 THE FLAG *RTYPE* IS PLACED IN (1,0) OVERLAY AND COULD BE 
                 DESTROYED BY THE (2,0) OVERLAY.
          SOLUTION - REMOVE *RTYP* AND *RFTPASS* FROM OVERLAY AND PUT 
                 THEM IN THE COMMON BLOCK.
                 MMC.        82/10/25.  COMPTFS/PTFS. 
  
 RHF0023  THIS PSR ADDS CODE TO MFLINK TO GIVE UP THE CPU AFTER 
          CONTROL IS RETURNED FROM A NETOFF REQUEST. THIS ALLOWS
          CPUMTR TO COMPLETE AN SF.LIST THAT CONTAINS MULTIPLE
          SF.ENDT FUNCTIONS.
          THIS CODE CORRECTS PP HUNG IN AUTO RECALL ERRORS WHEN 
          MFLINK ATTEMPTS TO RETRY. 
          GSA    12/01/82    MFLINK 
  
 RHFA748  MFLINK SENDS STOP COMMAND AFTER RECEIVING QUIT COMMAND (PRE-
          MATURE TERMINATION) AND ABORTS JOB, INSTEAD OF RETRYING.
          DPK    02/28/83          MFLINK 
  
 RHFA768  PTFS ENSURES THAT STATE-OF-TRANSFER PARAMETER IN STOPR COMMAND
          IS NOT BINARY ZERO. 
          DPK    03/01/83          PTFS 
  
 RHF0011  QTFPROC (NOS/BE) CORRECTED TO PREVENT LOSS OF QTFI JOB
          WHEN RHF DROPPED AND RESTARTED. 
          QTF DELAY PARAMETER MUST BE 1 TO 2048 (MINUTES).
  
          *** NOTE - NB0E362 MUST BE INSTALLED ON NOS/BE (PL1B)  ***
          ***        (APR ACCEPTS DROP FUNCTION (3) FROM JOB.)   ***
  
          DPK    03/29/83          QTFPROC
  
 RHF0028  RHF SOMETIMES ABORTS FTFS WITH "APPLICATION IS NOT NETTED ON" 
          MESSAGE DUE TO A RACE CONDITION IN THE RHF SCP INTERFACE
          DURING NETOFF PROCESSING.  UNTIL THE PROBLEM IS CORRECTED 
          BY ENHANCING SF.ENDT, MODIFY FTFS TO RECALL AFTER NETOFF
          TO ALLOW RHF TO FINISH NETOFF PROCESSING. 
          NAD    03/28/83          FTFS 
  
*L5*  *********************************************************************** 
  
=COMDECK *L5A*
*L5*  **********************************************************************
  
 RHFA702  MFLINK FOR NOS WILL RETRY REJECTED NETON/CONNECTION REQUESTS
          MORE OFTEN, INSTEAD OF ALWAYS ROLLING OUT THE JOB FOR A 
          ONE-MINUTE DELAY. 
          MFLINK FOR NOS/BE CLEANED UP. 
          COMFFTF CONSTANTS *DLYINT*, *DLYJOB*, AND *NUMSRTY* ADDED,
          AND *DLYLID* AND *DLYNET* DELETED.
  
            RHFA702   MFLINK
            RHFA702A  COMFFTF 
          DPK    02/22/83          MFLINK,COMFFTF 
  
 RHFA752  QTF ABORTS WITH *CONNECTION NUMBER NOT IN SUPERVISORY MESSAGE*
          IF IT HAS TIMED-OUT A CONNECTION REQUEST, ISSUED A SECOND 
          ONE, AND RHF RESPONDS WITH CON/REQ TO BOTH REQUESTS.
          QTF CORRECTED TO NOT TIME OUT CON/ACRQ (ASSUMING RHF WILL 
          EVENTUALLY RESPOND WITH CON/REQ OR CON/ACRQ/A), AND 
          TO NOT RETRY CON/ACRQ AFTER RECEIVING CON/ACRQ/A. 
  
          NAD    02/23/83          SFILI,SRES 
  
 RHFA777  QTFS (VALROUT) INTERPRETS THE 1ST PARAMETER OF A ROUTING
          DIRECTIVE IF IT HAS THE FORM  KEYWORD=VALUE.  OTHERWISE, THE
          1ST PARAMETER IS ASSUMED TO BE A FILE NAME AND IGNORED. 
          E.G., ROUTE,DC=PR,..  ROUTE,,DC=PR,.. AND  ROUTE,LFN,DC=PR,.. 
          ARE ALL ACCEPTABLE AND FUNCTIONALLY EQUIVALENT. 
          DPK    05/05/83          VALROUT
  
 RHF0038  MFQUEUE - ACCEPTS DC= PARAMETER OR ROUTING TEXT.
                    DFINIT CALL MODIFIED. 
          MFLINK -  DFINIT CALL MODIFIED. 
  
          ASSOCIATED MODIFICATIONS -- 
  
          DFINIT -  NEW PARAMETER INDICATES ABSENCE OF DIRECTIVE FILE.
          DFTERM -  DOESN-T RETURN CONNECTED INPUT FILE.
  
                 IDENT     PL      DECKS
                 RHF0038   PL91    MFLINK,MFQUEUE 
                 RHF0038A  PL1L    COMDFRD,DFINIT,DFTERM
  
          DPK    05/02/83          MFLINK,MFQUEUE 
  
 F5623QT  THIS MODSET PROVIDES SUPPORT OF USER SERVICE CLASS FEATURE. 
          MMC    83/02/21          COMQQAF,COMQDSP,COMQFIL,COMQIRT, 
                                   COMQSRT,CNIT,GENSRT,GETQFIL,PCM00, 
                                   QUEFIL,SENDCLF,VALROUT 
  
 RHFA754  MFLINK SENDS ALL CONSECUTIVE MFLINK CONTROL STATEMENTS TO THE 
          NOS BATCH-JOB DAYFILE (NOT JUST THE 1ST). 
          MFLINK SENDS DAYFILE MESSAGES TO INTERACTIVE TERMINAL.
          DPK    06/08/83          MFLINK 
  
 RHFA694  FTFS RETURNS PROTOCOL IDENTIFIER WITH THE RPOS COMMAND. 
          DPK    06/03/83          FTFS 
  
 RHFA693  PTFS RETURNS PROTOCOL IDENTIFIER WITH THE RPOS COMMAND. 
          DPK    06/03/83          PTFS 
  
 RHFA647  MFLINK SAVES RECOVERY TEXT WITH RNEG AND STOPR COMMANDS, AND
          SENDS STATE OF TRANSFER = *ACCEPTABLE AND SATISFACTORY* WITH
          STOP COMMAND (INSTEAD OF BINARY ZERO OR *TERMINATED*).
          DPK    06/08/83          MFLINK 
  
 RHFA592  FTFS ENSURES STATE-OF-TRANSFER PARAMETER IS NOT ZERO (OK) 
          IN RNEG COMMAND.  UNREFERENCED SUBROUTINE *RPC* DELETED.
          DPK    05/26/83          FTFS 
  
 C5623QT  MODSET SETS ORIGIN TYPE FOR OUTPUT FILES. 
          IF ORIGIN TYPE IS NOT SPECIFIED THEN THE ORIGIN TYPE
          IS FORCE TO BATCH OR REMOTE BATCH.
          NAD/MMC.  83/07/12  GETQFIL, SENDCLF, GENSRT, QUEFIL, ACTLOG. 
  
 RHFA737  QTFS (VALROUT) ADDS A TERMINATOR (.) TO ROUTING TEXT. 
          PRET, PRST, AND VALROUT CLEANED UP. 
          DPK    07/01/83          PRET,PRST,VALROUT
  
 RHFA737  QTFS (NOS/BE) ASSUMES DC=TT OR =WT IS DC=PR ON ROUTING TEXT.
          NAD    06/10/83          VALROUT
  
 RHFA792  MFLINK - FIX RHFA702 TO SEND MESSAGE TO TERMINAL
          WHEN WAITING FOR REMOTE ACCESS. 
          DPK    06/12/83          MFLINK 
  
 RHFA794  PTFS SENDS RPOS COMMAND WITH 4-CHARACTER JOB NAME 
          ATTRIBUTE, INSTEAD OF 7-CHARACTERS WITH 3 TRAILING
          BINARY ZEROES.
          DPK    07/14/83          PTFS 
  
 RHFA790  MFLINK - COMPARES RECEIVED STATE-OF-TRANSFER VALUE WITH 
          DEFINED VALUES - NORMAL TERMINATION (000000, 000001, 022000,
          033000), RETRY TRANSFER (033001, 033003), DECREMENT NOS 
          SECURITY COUNT AND ABORT TRANSFER (011015, 011016, 011017,
          011018), OR ABORT TRANSFER (ANY OTHER VALUE). 
  
          IDENT    PL      DECK 
          -------- ------- -------
          RHFA790  PL91    MFLINK 
          RHFA790A PL1L    COMCPTF
  
          DPK    08/03/83          COMCPTF,MFLINK 
  
 RHFA798  MFLINK SENDS RFT COMMAND WITH 4-CHARACTER JOB NAME
          ATTRIBUTE, INSTEAD OF 7-CHARACTERS WITH 3 TRAILING
          BINARY-ZERO CHARACTERS. 
          DPK    08/01/83          MFLINK 
  
 RHFA799  PTFS CONTINUES AFTER RECEIVING QUIT COMMAND (35)
          INSTEAD OF ABORTING.  (SEE RHFA748 FOR CORRESPONDING
          MFLINK CODE.) 
          DPK    08/03/83          PTFS 
  
 RHFA800  PTFS RETURNS UNRECOGNIZED ATTRIBUTES (IN RFT OR STOP
          COMMANDS) WITH *IGNORE* QUALIFIER, INSTEAD OF ABORTING. 
          DPK    08/11/83          PTFS 
  
 RHF0044  PTFS CONTINUES TO TRY ATTACHING BUSY DIRECT-ACCESS FILE 
          OR MSS FILE, INSTEAD OF ABORTING WITH THE MESSAGE 
          *I/O ON EXECUTE-ONLY FILE ... AT ...*.
          DPK    08/08/83          PTFS 
  
 RHFA822  QTFI (FOR NOS) DOES NOT ABORT WHEN RETURNING A NON-NOS FILE 
          TO THE INPUT QUEUE IF THE JOB CARD HAS NO *ST* PARAMETER. 
  
          * NOTE - MODSET NS2156 (DSP) REQUIRED ON NOS V2 * 
  
          DPK    10/05/83          COMQDSP,RTNFIL 
  
*L596*  *********************************************************************** 
  
=COMDECK *L596A*
*L596*  **********************************************************************
  
 RHFA819  MFLINK (+RHFA790) WILL ACCEPT A STATE-OF-TRANSFER VALUE OF
          BINARY-ZERO AS *NORMAL*, FOR DOWNWARD COMPATIBILITY.
          PTFS SETS STATE-OF-TRANSFER VALUE TO *AASS* (OK) INSTEAD OF 
          *RSTS* (REJECTED, SEE TEXT), IF *NA* SPECIFIED ON FUNCTION
          THAT FAILED (E.G., PURGE,LFN/NA.).
  
          ** NOTE - RHFA790 MUST BE INSTALLED **
  
          DPK    09/15/83          MFLINK,PTFS
  
 RHFA817  QTFS (VALFN) REVISED TO CONSISTENTLY DELETE TRAILING
          BLANKS FROM JOB/FILE NAME, WITHOUT ADDING EXTRANEOUS
          DISPLAY CODE ZEROS. 
          DPK    09/08/83          VALFN
  
 RHF0049  QTF SENDS RFT COMMAND WITH LENGTH OF ATTRIBUTE 32 (SYSTEM 
          ROUTING TEXT) = 256 INSTEAD OF 260. 
          DPK    09/19/83          GENSRT 
  
 RHFA820A MFLINK AND MFQUEUE FOR NOS V2 NO LONGER IGNORE DIRECTIVES 
          THAT BEGIN WITH * BUT DO NOT HAVE TERMINATORS.
  
          ***  NOTE - CORRECTIVE CODE SET RHFA820 IS REQUIRED FOR PL1L. 
  
          IDENTIFIER  PL    DECK
          ----------  ----  ------- 
          RHFA820     PL1L  DF$CMP
          RHFA820A    PL91  MFLINK,MFQUEUE
  
          DPK    09/06/83          MFLINK,MFQUEUE 
  
*L604*  *********************************************************************** 
  
 RHFA830  PTFS RETURNS RNEG (*EXECUTE-ONLY FILE*) IF NO READ
          PERMISSION IN FILINFO STATUS, TO PREVENT ABORT DURING 
          FILE TRANSFER (*I/O ON EXECUTE-ONLY FILE*). 
          DPK    10/19/83          PTFS 
  
 RHFA805  QTFI ABORT IN CMDPUT, WHEN STOPR COMMAND RECEIVED BEFORE
          PRECEDING STOP COMMAND WAS ACKNOWLEDGED, AND QTFI TRIED 
          TO SEND THE ETP COMMAND TWICE.  QTFI NOW WAITS FOR OUT- 
          STANDING ACKNOWLEDGES BEFORE SENDING ETP OR STOP COMMANDS.
          DPK    10/05/83          SFILI
  
 F5R09DL  THIS MOD IS PART OF THE FTFS RE-WRITE FEATURE (F5R09FS).
          THIS MOD GOES INTO MFLOAD AND MFDUMP TO MAKE THE MFGIVE AND 
          MFTAKE CALLS COMPATIBLE WITH THE NEW FTFS.
          GSA    11/21/83          MFLOAD,MFDUMP
  
 F5R09FS  THIS FEATURE MODIFIES THE RHF ROUTINE *FTFS* TO 
          A STRUCTURE SIMILAR TO THAT OF *PTFS*. THE GOAL OF
          THIS FEATURE IS TO SPEED UP THE TOTAL TIME OF 
          A TRANSACTION BETWEEN A REMOTE *MFLINK* AND *FTFS*. 
          GSA    09/30/83    FTFS 
  
 RHFA851  QTF/QTFS SUPPORT OF NOS V2 PRINT IMAGE FEATURE. 
          ASD    12/12/83          COMQDSP,COMQFIL,COMQQAF,COMQSRT, 
                                   GENSRT,QUEFIL,VALROUT
  
 RHFA852A RHF AND RHF APPLICATIONS ARE MODIFIED TO PROPERLY HANDLE
          FC/NAK SUPERVISORY MESSAGES.  THESE FIXES (ALONG WITH 
          LOADBC/BCLOAD CHANGES TO NAD INITIALIZATION PARAMETERS) ARE 
          REQUIRED FOR SUPPORT OF 380-170 MG101-A06 CONTROLWARE.
          DPK/GSA            12/20/83 
  
                 PL1L/REL16A          PL91/REL16B 
                 ===========          =========== 
                 RHFA852 - COMADEF    RHFA852A - CMDPUT,SREQ (QTF/QTFS) 
                         - PRNAKM(FIP)
                         - GMB,SML,SRM,WLB,WMB(MFLINK/PTFS/FTFS)
  
 F7958PT  THIS FEATURE ADDS THE CAPABILITIES TO THE RHF SUBSYSTEM 
          TO UTILIZE CODE CONVERSION IN THE NAD.  THE CODE UNDER
          THIS IDENT IS ADDED TO THE RHF PERMANENT FILE TRANSFER
          ROUTINES, MFLINK AND PTFS.
          GSA    12/05/83          MFLINK, PTFS 
  
 F7958QT  THIS FEATURE ADDS THE CAPABILITIES TO THE RHF SUBSYSTEM 
          TO UTILIZE CODE CONVERSION IN THE NAD.  CODE UNDER THIS 
          IDENT IS ADDED TO THE RHF QUEUE FILE TRANSFER 
          ROUTINES, QTF AND QTFS. 
          GSA    12/05/83          XFRERR (QTF,QTFS)
  
 C5R09FS  THIS FEATURE CORRECTION MODIFIES FTFS TO PROPERLY 
          HANDLE THE MFLOAD/MFDUMP FRONT END BACKUP UTILITIES.
          THE MFGIVE AND MFTAKE CONTROL STATEMENTS MUST NOT BE
          WITHIN A CCL PROCEDURE.  THIS PREVENTS PROPER UPDATING
          OF THE CCL REGISTERS. 
          GSA    01/16/84    MFLOAD, MFDUMP, FTFS 
  
 RHFA785  PTFS RETURNS LOCAL FILE *INPUT* DURING INITIALIZATION 
          INSTEAD OF ABORTING DURING FILE TRANSFER WHEN PROCESSING
          SAVE,INPUT/... COMMAND. 
          DPK    08/16/83          COMPTFS,PTFS 
  
 RHFA803  QTF (NOS V2) TRANSFERS A DC=NO QUEUE FILE WITH DISPOSITION
          *IN* INSTEAD OF *IX*.  THIS PREVENTS REJECTION BY REMOTE
          CYBER 200.
          DPK    08/17/83          COMQCAF
  
 RHF0046  QTF PRESERVES THE FC= PARAMETER FOR AN OUTPUT FILE
          (PRINT, PUNCH, OR SPECIAL) IN THE SYSTEM ROUTING TEXT.
          DPK    08/25/83          GENSRT 
  
 RHF0047  QTFS (NOS) ACCEPTS A FILE WITH ROUTING TEXT SPECIFYING
          DC=TT (OR WT) AND EC=A9, INSTEAD OF REJECTING THE TRANSFER. 
          DPK    08/23/83          FILTYPE,VALROUT
  
*L617*  *********************************************************************** 
  
 F5470B   NP/QTF,PTF FEATURE CODE FOR RHP PL. 
          KEK/MMC/CRL/GSA/NAD/RWH  08/30/84 
  
 C5470B   CORRECTIONS TO NP/QTF,PTF FEATURE CODE. 
          NAD    09/11/84    (MANY) 
  
 F5H10PT  NOS 2.3 FEATURE CODE -
          1. SUPPORT *AC* PARAMETER ON CHANGE/DEFINE/SAVE.
          2. SUPPORT *CP* PARAMETER ON CHANGE.
          3. SUPPORT *PR* PARAMETER FOR SAVE, AND *RT* FOR GET. 
          4. SUPPRESS "CHARGE,*." MESSAGE FOR IMPLICIT DEFAULT CHARGE.
          5. ISSUE *ABIC* ACCOUNT FILE MESSAGE FOR INITIAL CHARGE.
          6. RESTRICT USER TO DEFAULT CHARGE IF VALIDATION REQUIRES.
  
          RKM/RVM/LEL/PCS.   84/04/24. PTFS.
  
 RHFA776  MODIFY *QTF*/*QTFS* STATE-OF-TRANSFER ATTRIBUTE PROCESSING
          TO REFLECT CURRENT PROTOCOL SPECIFICATION:  
          1. VALUES *022000* AND *033000* DO NOT CAUSE ABORTS 
          2. CHANGE COMQDEF TO USE *022001* TO INDICATE ABORT CASE
             INSTEAD OF *033000*
          3. DO NOT TREAT *NO MONEY* STATE AS SECURITY VIOLATION. 
          MMC/NAD  05/15/84  COMQDEF,PRSTXFR
  
 RHFA778  DELETE PTFS LOCAL DEFINE OF INSTALLATION PARAMETER
          APLO;  USE DEFINITION FROM NOS COMSPFM COMDECK. 
          DWM     01/09/84          PTFS
  
 RHFA821  QTF (NOS V2) USES A VALID JOB NAME (INSTEAD OF ****) WHEN 
          SENDING AN INPUT FILE TO A NON-170 SYSTEM (E.G., IBM).
          (JOB NAME IS ATTRIBUTE 26 IN THE RFT COMMAND.)
          DPK    12/21/83          GETQFIL
  
 RHFA826  INITIALIZE A FET FOR USE IN CLOSING ZZZZZOU ON MFLINK ABORT.
          DWM     05/20/84          DFTERM
  
 RHFA870  CAUSE AN MFLINK ABORT ON RETRY IF EP HAS BEEN SET 
          DWM     05/30/84          MFLINK
  
 RHFA875  THIS PSR ADDS CODE TO FTFS TO MAKE SURE THAT THE
          DEFAULT DATA DECLARATION IS RESET AFTER EACH REQUEST
          FOR FILE TRANSFER.  THIS PREVENTS MFLINK ABORTS FOR 
          INVALID DATA DECLARATIONS.
          GSA    01/30/84    FTFS 
  
 RHFA912  PROCESSES THE PFM ERROR CODE SGD (FILE MUST BE STAGED)
          IF NO ABORT SET AND NOT REAL TIME - WAIT. 
          IF NO ABORT SET BUT REAL TIME - EXIT WITH NO ERROR. 
          DWM     05/08/84          PTFS
  
 RHF0107  INHIBITS THE ABORT OF QTF IF THE TRANSFER HAS BEEN
          COMPLETED AND THE FILE SENT.
          DWM     04/30/84          SFILI (QTFS)
 RHF0123  DESCRIPTION - JOBS ROUTED TO THE 205 THROUGH RHF LOSES THEIR
          ID WHEN THE ID IS LESS THAN 10B.
          PROBLEM - WHEN AN ID IS LESS THAN 10B IT GETS LEADING BLANK 
          FILLED WHEN THE IMPLICIT TEXT IS BUILT.  WHEN THIS LEADING
          BLANK IS CONVERTED BACK TO BINARY AN ERROR OCCURS.
          SOLUTION - MAKE SURE THAT THE ID GETS DISPLAY CODE ZERO 
          FILLED WHEN CREATING THE IMPLICIT TEXT. 
          DJR    04/13/84          CNIT 
  
 RHF0138  MFLINK ISSUES INCORRECT MESSAGE WHEN CONNECTION BREAKS DURING 
          CONNECTION INITIATION PROCESSING.  ROUTINE *ECL* DOES NOT 
          CHECK RETURN ADDRESS FROM *RML* CALL, RESULTING IN
          *INVALID SUPERVISORY MESSAGE* INSTEAD OF *CONNECTION BROKEN*. 
          ALSO, CORRECT MFLINK TO RETRY CONNECTION REQUESTS WHICH RESULT
          IN CONNECTION BROKEN STATUS.
          NAD    05/29/84    ECL (RHF0138), MFLINK (RHF0138A) 
  
 RHFA926  PTFS ABORTED DUE TO BLOCK NOT ACKNOWLEDGED.  CODE ADDED TO
          INCREASE THE NAK RETRY COUNT (NAKRTRY). 
          KEK    07/16/84    COMCAPR
  
 RHFA977  PROBLEM: IF QTFS ON NOS 2.2 OR LATER SYSTEMS MUST REISSUE 
          A DSP REQUEST FOR AN INPUT FILE BECAUSE OF THE OWNER OR 
          CREATION USER NAMES ARE NOT VALID ON THIS HOST, DSP HAS 
          ALREADY EDITED OUT THE PASSWORD FROM THE DISK FILE AND
          THE SUBSEQUENT DSP CALL WILL FAIL WITH A USER NAME/PASSWORD 
          ERROR.
          SOLUTION:  MODIFY QTFS ROUTINE QUEFIL TO SET THE *DO NOT
          CHECK PASSWORD* FLAG IN THE DSP PARAMETER BLOCK ON RETRY
          ATTEMPTS.  THIS SOLUTION DEPENDS ON DSP PERFOMING USER
          VALIDATION AND PASSWORD REMOVAL BEFORE OUN/CUN VALIDATION.
          NAD    07/31/84          QUEFIL 
  
 RHF0072  FTFS DOES NOT RETURN LOCAL FILES AT THE END OF AN 
          MFLINK SESSION.  THIS IS A PROBLEM FOR BATCH JOBS 
          THAT DO CONSECUTIVE MFLINKS USING DUPLICATE LFNS. 
          THIS PSR ADDS CODE TO RETURN THE LFN OF A MASS
          STORAGE FILE AT THE END OF A FILE TRANSFER.  NOTE,
          FILES ASSIGNED TO TAPE DEVICES MUST STILL BE EXPLICITLY 
          RETURNED.  THIS CODE ALSO MOVES THE FTFS FLAGS THAT 
          WERE PRESERVED IN THE *EFG* REGISTER TO THE UPPER 
          PART OF THE *R3* REGISTER.
          GSA    06/22/84    FTFS 
  
*L627*  *********************************************************************** 
  
 RHFB116  MODIFY QTF AND QTFS ROUTINE *CONERR* TO NOT ISSUE FC/BRK
          BEFORE CON/END/R. 
          NAD    09/19/84          CONERR 
  
 RHFB117  PROBLEM: WITH ADJACENT CONTINUED MFLINKS THROUGH NAM TO 
          C120 WITH DD=UU, AIP NETXFR DETECTS INCORRECT BLOCK SIZE
          ERROR.
          SOLUTION: CORRECT MFLINK TO NOT RESET NETWORK TYPE TO RHF 
          IF CONNECTION STILL UP ON SUBSEQUENT MFLINKS. 
          NAD    09/19/84          MFLINK 
  
 RHFB118  PROBLEM: IF A QTF OR QTFS CONNECTION TIMES OUT WHILE AN FC/ACK
          IS OUTSTANDING FOR A *GO* OR *RPOS* COMMAND AND IF THE FC/ACK 
          IS RECEIVED AFTER THE CON/END/R IS ISSUED, QTF/QTFS CAN LOOP
          WITH REPEATED *NETXFR ERROR* MESSAGES.
          SOLUTION: IGNORE FC/ACK IF CONNECTION IS ENDING.
          NAD    09/19/84          FCACKM 
  
 RHFB119  PROBLEM: QTF AND QTFS CAN GET ERR/LGL IF FC/NAK RECEIVED
          AFTER CON/END/R ISSUED DUE TO CONNECTION TIMEOUT. 
          SOLUTION: PREVENT NETPUT ATTEMPT AFTER CON/END/R BY 
          CALLING *RELNTA* IN *CONENDM*.
          NAD    09/19/84          CONENDM
  
 RHFB123  PROBLEM:  PTFS ON CYBER 200 VSOS 2.1.5 REJECTS TRANSFERS
          FROM NOS 2.3 MFLINK.
          SOLUTION:  MODIFY MFLINK TO ONLY SEND PARAMETER 12 (MAX 
          BLOCK SIZE ATTRIBUTE) ON NAM CONNECTIONS FOR THE TIME 
          BEING (UNTIL SUPPORTED BY ALL OTHER HOSTS). 
          NAD    09/28/84          MFLINK 
  
 RHFB121  NULL BLOCKS RECEIVED AS SUPERVISORY MESSAGES SHOULD BE
          IGNORED.
          KEK    10/03/84    GMB
  
 RHPTXTS  MODIFY RHP PL TO USE SYMPL TEXTS. 
          NAD    09/21/84          RHP (MANY) 
  
 C5470B2  CHANGE FTFS NETON AND NETXFR REJECT MESSAGES TO USE 
          THE SAME FORMAT AS MFLINK AND PTFS. 
          KEK    11/20/84    FTFS, PTFS, MFLINK 
  
 RHFA810  PROBLEM:  PERMANENT FILES CREATED WITH SAVE OR DEFINE 
          WERE BEING CREATED AS MODE=WRITE INSTEAD OF MODE=READ 
          AS PFILES DOES. 
          SOLUTION:  IF MODE WAS NOT SPECIFIED, FORCE M=R.
          MLB    09/11/84    PTFS 
  
 RHFA888  CORRECTS THE ERROR MESSAGES TO BE DISPLAYED.
          CORRECTS AN ERROR IN THE LENGTH OF THE MESSAGES AND 
          CHANGES THE BASE INDICATOR FROM DECIMAL TO OCTAL. 
          DWM     10/18/84          REQQDEV 
  
 RHFB131  PTFS IGNORES IMMEDIATE SHUTDOWN FROM NAM.  THIS PREVENTS
          NAM FROM GOING DOWN IMMEDIATELY.  CODE ADDED TO CHECK THE 
          SHUTDOWN TYPE AND EXIT WITH  *NETWORK SHUTDOWN* MESSAGE 
          IF AN IMMEDIATE SHUTDOWM IS IN PROGRESS.
          KEK    10/29/84    GMB, COMCPTF 
  
 RHFB132  PTFS SHOULD NORMALLY TERMINATE IF CONNECTION BROKEN 
          RECEIVED WHEN *FINI* DATA MESSAGE IS ALSO QUEUED. 
          KEK    10/29/84    PTFS 
  
 RHF0071  PROBLEM : MFQUEUE DOES NOT CAUSE A UNIQUE FILE NAME TO BE GIVEN 
                    TO JOBS SENT TO THE OUTPUT QUEUE. 
          SOLUTION: MODIFY THE MFQUEUE DSP PARAMETER BLOCK TO SET BIT 6 
                    OF THE FLAG BITS. THUS CAUSING A UNIQUE TWO DIGIT 
                    IDENTIFIER TO BE ADDED TO THE FILE NAME.
                    MFQUEUE 
          DWM     10/25/84          MFQUEUE 
  
 RHF0215  PROBLEM : AN MFGIVE OR MFTAKE WITH NO LFN PARAMETER GIVES THE 
                    SAME ERROR MESSAGE AS WITH MORE THEN ONE PARAMETER. 
          SOLUTION: CORRECT THE TESTING OF THE CONTENTS OF RA.ACT FOR 
                    BOTH MFGIVE AND MFTAKE. 
                    FTFS
          DWM     10/23/84          FTFS
  
 RHF0066  PROBLEM : FTFS DOES NOT SUPPLY A MISSING TERMINATIOR ON USER
                    DIRECTIVES. 
          SOLUTION: PLACE A PERIOD AS THE LAST CHARACTER IF THERE CURRENTLY 
                    ISN'T ONE.
          DWM    11/29/84          FTFS 
  
 RHF0154  PROBLEM : NOS/BE DIAGNOSING A BAD CONTROL STATEMENT CAUSES FTFS 
                    TO RETURN THE MESSAGE "APPLICATION CONNECTION BROKEN" 
                    WITHOUT SENDING ANY ADDITIONAL DAYFILE MESSAGES.
          SOLUTION: MODIFY FTFS TO "EXIT(S)" INSTEAD OF "EXIT." 
                    FTFS
          DWM     11/05/84          FTFS
  
 RHFB147  MFLINK ERROR BLOCK TOO LARGE OCCURS IF A SUPERVISORY
          MESSAGE IS RECEIVED AFTER A Q-BLK BLOCK (ABT = 6).
          CODE ADDED TO SETUP THE NETGET PARAMETERS NECESSARY 
          TO PROCESS THE SUPERVISORY MESSAGE PROPERLY.
          KEK    12/18/84    GMB
  
*L630*  *********************************************************************** 
  
 RHFB156  MODIFY QTF/QTFS TO SUPPORT DISPOSTION CODES LX AND LY 
          FOR THE CDC 5870 NON-IMPACT PRINTERS. 
          KEK/NAD 01/30/85         VALROUT,FILTYPE,COMQCAF
  
*L642*  *********************************************************************** 
  
 RHFA960  PROBLEM: MFLINK ABORTS WHEN R=0 IS SPECIFIED. 
          CAUSE: THE 0 IS BEING TREATED AS A DEVICE RATHER THAN A 
          KEYWORD MEANING USE THE DEFAULT.
          SOLUTION: IF R=0 IS SPECIFIED THEN FORCE THE DEFAULT. 
          MLB    01/16/85    PTFS 
  
 RHFB173  MFLINK ABORTS WITH A MONITOR CALL IF CON/ACRQ/A RECEIVED. 
          CODE ADDED TO SETUP ERROR MESSAGE ADDRESS PROPERLY. 
          KEK    04/02/85    MFLINK 
  
 RHF0174  PROBLEM: MFLINK IS ABORTING WITH *NOT VALIDATED TO SET XD/XT* 
          WHEN NEITHER PARAMETER IS BEING SPECIFIED.
          CAUSE: WORDS ARE BEING WRITTEN INTO THE FET WITHOUT REGARD
          FOR THE OTHER ENTRIES IN THE WORD.
          SOLUTION: MERGE ENTRIES INTO THE EXISTING WORD RATHER THAN JUST 
          OVERWRITING IT. 
          MLB    04/02/85    PTFS 
  
 RHFA837  PROBLEM:  *MFLINK* AND *MFQUEUE* ABORT IF THE CONTROL 
                 STATEMENT IS PRECEEDED BY BLANK. 
          SOLUTION: CORRECT *COMCUCS* TO IGNORE LEADING SPACES. 
          NAD    04/04/85          COMCUCS,MFLINK,MFQUEUE 
  
 RHFB176  PROBLEM:  NAM QTF/QTFS ABORT WITH INSUFFICIENT FIELD
                 LENGTH WHEN BUILT WITH TRACE ON. 
          SOLUTION: REMOVE *RFL* DIRECTIVES FROM *JOBQTF* AND 
                 *JOBQTFS* FROM NAMSTRT.
          NAD    04/05/85          JOBQTF,JOBQTFS 
  
 RHFB146  ENABLE MFLINK/PTFS/QTF/QTFS TO REQUEST AND ACCEPT 
          THE *CHECKMARKING* FACILITIES OPTION FOR NAM FILE 
          TRANSFERS.
          NOTE - THIS MODSET DEPENDS ON THE NAM FILE TRANSFER 
                 CHECKMARK FEATURE CODE (TO BE RELEASED WITH
                 NOS 2.4.2).
          KEK/NAD 05/06/85   MFLINK,PTFS,BCM00(QTF),RCM00(QTFS) 
  
 RHFB172  PROBLEM:   PTFS ISSUES *UCLS* ACCOUNTING MESSAGE AFTER
                 NETFXR CALL EVEN IF THE FILE TRANSFER WAS NOT
                 SUCCESSFUL.
          SOLUTION:  DO NOT ISSUE MESSAGE IF TRANSFER FAILED. 
          NAD    03/11/85          PTFS 
  
 RHFB188  PROBLEM - PTFS CPU ERROR EXIT DUE TO IMPROPER HANDLING
                 OF UNEXPECTED CONNECTION BROKEN DURING ETP/ETPR/FINI 
                 PROCESSING.
          SOLUTION - (1) CORRECT REGISTER CONFLICTS AND FLOW-OF-
                         CONTROL IN PTFS. 
                     (2) CORRECT RETRANSMIT STATE-OF-TRANSFER 
                         PROCESSING IN MFLINK AND PTFS. 
          KEK/NAD 05/06/85         COMFFTF,MFLINK,PTFS
  
 RHFB157  PROBLEM:  MFLINK/QTF ONLY ALLOWED NETXFR MAXIMUM
                 BLOCK SIZE OF 3-PRU (1440 OCTETS) IF DD=US/UU
                 WAS SPECIFIED.  BY DEFAULT, AT MOST 2-PRU TRANSFERS
                 WERE SUPPOSED TO BE NEGOTIATED, BUT THE ALGORITHM
                 FAILED IF AN EXPLICIT BINARY DD WAS SPECIFIED. 
          SOLUTION: REMOVE THE ORIGINAL RESTRICTION AND ALLOW 3-PRU TO
                 BE NEGOTIATED BY DEFAULT.
          NAD    05/13/85          MBZ
  
 RHFB158  PROBLEM - NAM STARTUP OF PTFS/QTFS IS SLOW. 
          THE CURRENT PROCESS IS AS FOLLOWS:  
          1. NVF GETS PERM FILE *ZZPTFS* OR *ZZQTFS* AND SUBMITS
             TO INPUT QUEUE.
          2. *ZZXTFS* JOB CALLS NAMI TO GET AND EDIT JOB RECORD 
             FROM *NAMSTRT* FILE. 
          3. NAMI SUBMITS EDITED JOB RECORD TO INPUT QUEUE. 
          4. PTFS OR QTFS JOB PROCEEDS. 
          IN ADDITION, NVF MAKES NO PROVISION FOR UNIQUE *ZZXTFS* 
          FILES IF THE FAMILY IS SHARED.
          SOLUTION - REMOVE *DI* ATTRIBUTE FROM JOBPTFS/JOBQTFS *JOB* 
          DIRECTIVES IN ALL NAMSTRT RECORDS SO THAT BOTH WILL BE CALLED 
          ONCE WHEN NAM IS INITIATED (REQUIRES *DECKOPL* CHANGE). 
          THIS FIRST TIME INITIALIZATION WILL CALL NAMI TO EDIT THE 
          JOB RECORD FOR THIS HOST AND REPLACE OR APPEND IT TO THOSE
          ON *ZZXTFS*.  WHEN NVF SUBMITS *ZZXTFS* JOB, THE JOB CALLS THE
          CORRECT PROCEDURE (BASED ON MACHINE ID) AND EXECUTES THE
          SERVER APPLICATION DIRECTLY.
          RWH/NAD 05/14/85         JOBQTFS,JOBPTFS
  
 RHFB153  MFLINK/FTFS/PTFS/QTF/QTFS - MODIFY VALIDATION OF PROTOCOL 
            IDENTIFIER (PARAMETER 00) ON RFT/RPOS/RNEG COMMANDS.
          MFLINK/- IF REMOTE IDENT (RPOS/RNEG) DIFFERS FROM LOCAL --
           QTF       BREAK CONNECTION IF CHARACTERS 1-2 (VERSION) 
                     DIFFER, OR IF CHARACTERS 3-4 (LEVEL) OF REMOTE 
                     .GT. LOCAL.  OTHERWISE, SEND STOP (NO RETRY).
          FTFS/  - IF REMOTE IDENT (RFT) DIFFERS FROM LOCAL --
           PTFS/     SEND RNEG COMMAND IF CHARACTERS 1-2 (VERSION)
           QTFS      DIFFER OR IF CHARACTERS 3-4 (LEVEL) OF LOCAL 
                     .GT. REMOTE. 
                 - SEND LOCAL PROTOCOL IDENT AS 1ST PARAMETER WITH
                     RPOS COMMAND ALWAYS, BUT WITH RNEG COMMAND ONLY
                     IF REMOTE IDENT DIFFERS FROM LOCAL.
          DPK    06/26/85          COMFFTF,COMQDEF,MFLINK,FTFS,PTFS,
                                   RCM00,RCM01,RCM02
 F3300B   QTF MULTI-STREAMING FEATURE.
          NAD    07/31/85    QTF (MANY DECKS) 
  
 RHFB214  PROBLEM:  MFLINK/PTFS ON NAM X.25 CONNECTIONS CAN 
                 SOMETIMES GET A FALSE *APPLICATION CONNECTION
                 TIMEOUT* CONDITION.  TRACE FILES SHOWED THAT 
                 THE LAST 
          SOLUTION: CORRECT *GMB* TO NOT DISCARD ZERO-LENGTH
                 QMSG BLOCKS. 
          NAD    07/16/85          GMB
  
 RHFB219  PROBLEM:  QTFI INCORRECTLY SETS THE TEXT LENGTH OF THE
                 *CON/ACRQ/R* SUPERVISORY MESSAGE TO 3.  CHANGES
                 TO NAM ARE PLANNED IN A FUTURE RELEASE TO MAKE USE 
                 OF THE CURRENTLY UNDEFINED THIRD WORD. 
          SOLUTION: USE THE CORRECT LENGTH OF 2.
          NAD    08/14/85   (RHP)  SFILI
  
*L650*  *********************************************************************** 
  
 RHFB155  PROBLEM - FTFS DOES NOT RECOGNIZE MAXIMUM BLOCK SIZE
                 ATTRIBUTE (*INVALID PARAMETER 12 FOR 00*). 
          SOLUTION - ADAPT APPLICABLE FEATURE FROM PTFS FOR FTFS. 
                 INCLUDES SUPPORT FOR *CD* AND *A* PARAMETERS 
                 ON FTFS CONTROL STATEMENT. 
          NAD    09/18/85   RHP    COMPTFS,PTFS,FTFS
  
 RHF0067  PROBLEM - BECAUSE NOS/BE *MSG* SPLITS LONG DAYFILE
                 MESSAGES INTO TWO MESSAGES,  LONG FTFS MESSAGES
                 ARE SENT TO MFLINK AS TWO TEXTS.  IF NOS/BE
                 MFLINK, THE MESSAGES ARE SPLIT AGAIN IN THE
                 MFLINK DAYFILE.
          SOLUTION - FOR INTERNAL FTFS MESSAGES, USE A SPECIAL
                 PREFIX FOR LONG MESSAGES.  WHEN READING THE
                 DAYFILE, FTFS CONCATENATES THE TWO MESSAGE 
                 PIECES INTO ONE TEXT.
          NAD    09/16/85   RHP    FTFS 
  
 RHF0126  PROBLEM - FTFS DOES NOT SEND *ACCOUNT* DIRECTIVES AS
                 RECOVERY TEXT ON AN RNEG (IF, FOR EXAMPLE, AN
                 ATTACH OR PURGE FAILS).
          SOLUTION - 1. MOVE RECOVERY TEXT BUFFER TO AREA SAVED 
                        ON *RPOS* FILE DURING EXTERNAL DIRECTIVE
                        EXECUTION.
                     2. TEST AND SEND RECOVERY TEXT WHEN RPOS IS
                        SENT, RATHER THAN WHEN RPOS IS BUILT SO 
                        THAT RECOVERY-TEXT-SENT FLAG IS NOT SET 
                        BEFORE RNEG IS SENT.
          NAD    09/18/85   RHP    COMPTFS,FTFS 
  
 RHF0135  PROBLEM - QTFS SHOULD NOT PASS IMPLICIT OR EXPLICIT 
                 TEXT TO *DSP* IF THE TEXT HAS BEEN PROCESSED 
                 BY THIS QTFS.  SINCE AN IMPLICIT TEXT STAYS
                 WITH A FILE AND ITS OFFSPRING, 
                 AND QTF DOES NOT MODIFY AN IMPLICIT TEXT IF
                 ONE IS ALREADY ASSOCIATED WITH A QUEUE FILE, 
                 PROBLEMS CAN OCCUR IF IMPLICIT TEXT VALUES (SUCH 
                 AS REMOTE BATCH TERMINAL ID) CHANGE.  IN SUCH
                 CASES, THE IMPLICIT ROUTING TEXT DOES NOT MATCH
                 THE (CORRECT) SYSTEM ROUTING TEXT;  IF AN
                 OFFSPRING *HOPS* TO OTHER THAN A NOS 2 OR NOS/BE 
                 HOST, THE OUTPUT WILL RETURN TO THE (OUT-OF-DATE)
                 IMPLICIT TEXT TERMINAL ID. 
          SOLUTION - MODIFY QTFS ROUTINES *PRET* AND *PRIT* TO
                 MARK THE TEXTS WHEN PROCESSED TO INHIBIT 
                 PASSING TO *DSP* BY *QUEFIL*.
  
          NOTE - THIS MODSET APPLIES TO NOS 2 AND NOS/BE SYSTEMS
                 RELEASED AFTER PSR LEVEL 642.
  
          NAD    09/16/85   RHP    PRET,PRIT,QUEFIL 
  
 RHFB234  PROBLEM:  RHC COMMON DECK CMMINT ENTRY POINTS CMMALF AND
                 CMMAGR CONFLICT WITH THE STANDARD SYMLIB CMM 
                 INTERFACES.
          SOLUTION: MODIFY RHF/RHP/ITF COMPONENTS TO USE STANDARD 
                 INTERFACE;  REMOVE CMMINT FROM RHC AND LCNLIB. 
          NAD    11/09/85   RHF (RHFB234A) - CALLCC,GMEMCMM,XFRINIT,MHF 
                            RHP (RHFB234B) - QTF (MANY), CALL$CC
                            ITF (RHFB234C) - BLKGET 
                            RHC (RHFB234D) - CMMINT (PURGED)
  
 F0095B   REPRIEVE PROCESSING CHANGES FOR RHF APPLICATIONS. 
          MFLINK CALLS RECOVR INSTEAD OF REPRIEVE.
          PTFS, FTFS, AND QTFS RECOGNIZE NETXFR RETURN CODE 2 AS
            *SYSTEM ERROR* INSTEAD OF *UNKNOWN* 
          PTERXF AND XFRERR CONNECTION-BROKEN PARAMETER CHANGED.
          PTFS RELAYS LAST NETXFR ERROR MESSAGE TO REMOTE.
          FTFS/PTFS CALL RECOVR (PFSRPV). 
          NEW DECKS - PFSRPV  (FTFS/PTFS REPRIEVE PROCESSING).
                    - COMPRPV (FTFS/PTFS REPRIEVE PROCESSING).
  
            IDENT    PL            DECKS
            ------   --            -----
            F0095A   PL1L/REL16A   COMACBX,COMADEF,COMADFM,COMAFET, 
                                   RHFXFR,RHFXFRC,BINCHF,BLDTRT,
                                   BUILDFT,CALLCIO,CALLRHF,CHASE, 
                                   CHKFTT,CHKTIME,CIOERRC,DAYFMSG,
                                   DBGMSG,DFTTIND,DODPR,ENDXFR,EXITCM,
                                   FIPRPV,GETLEV7,INITIME,INREQ,OUTREQ, 
                                   PENDACK,PENDXFR,PLEV7M,PRACKM,PRASM, 
                                   PRNAKM,PROTERR,PRQUIT,PSCMREP, 
                                   PUTLEV7,QUITXFR,RBLDFET,RHFERRC,RHH, 
                                   SETFTTA,SELCM,VALLOCF,XFRCOMP,XFRINIT
            F0095B   PL91/REL16B   (SEE BELOW)
  
          DPK    11/15/85          COMCPTF,COMDXFR,COMPRPV,COMPTFS,FTFS,
                                   MFLINK,MFLSKEL,PFSRPV,PTFS,PTERXF, 
                                   PTFSKEL,QFSSKEL,QTFSKEL,RCM04,XFRERR 
  
 C3300B QTF MULTI-STREAMING FEATURE FOR NOS/BE. 
        NAD      11/30/85    RHP   QTF (MANY) 
  
*L664*  *********************************************************************** 
  
 RHFB242  PROBLEM - INPUT FILE ROUTED OR SUBMITTED BY USERA ON MFA (WITH
                    DC=TO/NO, ST=MFB) WILL ABORT ON MFB (INVALID USER)
                    IF USERA IS UNDEFINED ON MFB, EVEN THOUGH THE INPUT 
                    FILE CONTAINS A USER CARD VALID ON MFB. 
          SOLUTION - QTFS MODIFIED TO RECOGNIZE DC=TO/NO, AND TO USE THE
                    INPUT-FILE USER VALIDATION SEQUENCE WHEN QUEUEING 
                    THE FILE. 
  
          ** NOTE - THIS MODIFICATION CORRECTS A NOS 2 PROBLEM CAUSED BY
                    FEATURE CODE IDENT C3300B AND NEW DECK *VALTEXT*
                    ADDED AT PSR LEVEL 650. 
  
          DPK    01/29/86          QUEFIL,VALTEXT 
  
 RHF0312  PTFS - CHARGE AND PACKNAM PROCESSING ERRORS.
          1) PTFS REJECTS THE TRANSFER IF THE USER NUMBER HAS NO DEFAULT
          CHARGE NUMBER.  THE CORRECTIVE CODE CAUSES PTFS TO RETURN AN
          INFORMATIVE MESSAGE (* DEFAULT CHARGE IS NULL) AND THEN TO
          PROCEED WITH THE NEXT DIRECTIVE.
          2) PTFS REQUESTS PACK NAME *0* IN RESPONSE TO *PACKNAM,0.*
          THE CORRECTIVE CODE CAUSES PTFS TO TREAT *PACKNAM,0* LIKE 
          *PACKNAM,PN=0* (CLEARING PACKNAM).
          (CODE SUGGESTED BY J.H.SNEDDON AND A.D.HARKRADER.)
          DPK    12/30/85          PTFS 
  
 RHF0333  PROBLEM - QTF(NOS) LOSES DESTINATION FAMILY IF DESTINATION
                    USER NUMBER IS ABSENT.
          SOLUTION - QTF/QUEFIL,SENDCLF PRESERVE DESTINATION FAMILY 
                    NAME EVEN IF DESTINATION USER NUMBER IS UNKNOWN.
  
          NAD    01/31/86          QUEFIL,SENDCLF 
  
 F5740B   QTF/QTFS CHANGES FOR NOS 2 QUEUE FILES. 
          QTF  - EXTRACT CHARGE AND PROJECT NUMBERS FROM QAC CALL 
                 AND SEND WITH IMPLICIT AND SYSTEM ROUTING TEXTS. 
          QTFS - PUT CHARGE AND PROJECT NUMBERS FROM IMPLICIT OR
                 SYSTEM ROUTING TEXT INTO DSP PARAMETER BLOCK.
               - PUT CREATION FAMILY AND USER NAME, AND OWNER FAMILY
                 AND USER NAME FROM IMPLICIT OR SYSTEM ROUTING TEXT 
                 INTO DSP PARAMETER BLOCK.
          DPK    01/28/86          COMQDSP,COMQFIL,COMQQAC,GENIRT,
                                   GENSRT,QACRESP,QUEFIL,SENDCLF, 
                                   VALTEXT
  
 F9740B   PRINT-IMAGE FEATURE CODE FOR QTF (NOS 2 PRINT FILES ONLY).
          QTF SENDS A PRINT-IMAGE NAME IN THE SYSTEM ROUTING TEXT (PI=).
          THE 1-7 CHARACTER NAME IS THE LOCALLY-DEFINED NAME
          CORRESPONDING TO THE PRINT-IMAGE ORDINAL SUPPLIED BY QAC. 
  
          QTFS TRANSLATES THE PRINT-IMAGE NAME (FROM THE SYSTEM OR
          EXPLICIT ROUTING TEXT) INTO THE LOCALLY-DEFINED PRINT-IMAGE 
          ORDINAL, AND SETS THE ORDINAL INTO THE DSP PARAMETER BLOCK. 
          IF THE PRINT-IMAGE NAME IS UNKNOWN, QTFS RETURNS THE MESSAGE
          *UNKNOWN *PI* PARAMETER, DEFAULT USED.* (AND QUEUES THE FILE).
  
          NEW DECK - GETPIN (COMPASS, ENTRIES GETPIN/GETPIO). 
  
          DPK    02/14/86          RHP  COMQDSP,COMQFIL,COMQQAC,
                                        GENSRT,GETPIN,VALTEXT 
  
 RHFB224  PTFS CORRECTED TO PREVENT ACCESS TO FAST-ATTACH FILE. 
          DPK    02/20/86    PTFS 
  
 RHF0255  PROBLEM - MFLINK ON NOS/BE WON-T SEND A REMOTE MESSAGE TO 
            AN INTERACTIVE TERMINAL IF THE 1ST CHARACTER OF THE MESSAGE 
            ISN-T BLANK (E. G., REMOTE IBM RHF MESSAGES). 
          SOLUTION - MFLINK SETS THE *DO NOT INTERPRET CARRIAGE CONTROL 
            CHARACTER* FLAG FOR THE CONNECTED FILE, SO THAT SUCH REMOTE 
            MESSAGES WILL BE DISPLAYED AT THE TERMINAL. 
          DPK    02/21/86          MFLINK 
  
 RHF0328  PROBLEM - QTF (NOS) UNNECESSARILY CHECKS USER ACCESS
                 PERMISSIONS (CQLK/CUST). 
          SOLUTION - QTF DOES NOT CHECK USER ACCESS PERMISSIONS 
                 (WHICH DSP HAS VALIDATED).  ERROR MESSAGE
                 *QTF, INVALID USER ACCESS* REMOVED.
          DPK    04/25/86          RHP  QACRESP 
  
 RHFB126  PROBLEM - ADJACENT NOS MFLINK COMMANDS ARE DAYFILED 
                 TWICE FROM A PROCEDURE FILE OR BATCH STREAM
                 IF ALL OF THE MFLINK COMMANDS HAVE AN *I*
                 PARAMETER. 
          ANALYSIS - IF NO *I* PARAMETER IS PRESENT, MFLINK 
                 USES THE SFP *ACE* (CONTRLC) CALL FORM TO
                 READ THE PC-PREFIXED DIRECTIVES.  THE *CRACK*
                 OPTION IS SPECIFIED WHICH CAUSES SFP TO ENABLE 
                 THE *ARG=* SPECIAL ENTRY POINT TO ALLOW
                 ARBITRARY DIRECTIVES TO BE READ.  IF *I* IS
                 SPECIFIED, *ACE* IS NOT CALLED, SO *ARG=* IS 
                 NOT SET.  MFLINK ROUTINE *RNC*, WHICH CHECKS 
                 FOR ANOTHER MFLINK COMMAND, USES *CONTROL* (NOT
                 *CONTRLC*) TO ACCESS THE COMMAND STREAM. 
                 MFLINK INCLUDES A MESSAGE CALL TO DAYFILE THE
                 CONTINUED MFLINK.  *CONTROL* DAYFILES A NON-RSS
                 TYPE COMMAND ONLY IF *ARG=* IS NOT SET.
                 SINCE *CONTROL* USES THE CURRENT SETTING OF *ARG=* 
                 WITHOUT ALTERING ITS VALUE, DIFFERENT RESULTS
                 OCCUR DEPENDING ON WHETHER *CONTRLC* WAS CALLED
                 BEFORE BY MFLINK.
          SOLUTION - FOR PC DIRECTIVES AND ADJACENT COMMANDS TO 
                 WORK PROPERLY, WE WANT *ARG=* TO BE SET ONLY 
                 WHEN SEARCHING FOR PC DIRECTIVES.  CHANGE RNC
                 TO USE *CONTRLC* (WITHOUT *CRACK*) TO ENSURE 
                 THAT *ARG=* IS CLEAR WHEN READING NEXT COMMAND.
          NAD    03/29/86   RHP    MFLINK 
  
 RHFB249  PROBLEM - PTFS GIVES NO INDICATION ON B-DISPLAY THAT
                 A FILE TRANSFER IS IN PROGRESS.
          SOLUTION - HAVE PTFXFR ISSUE *FILE TRANSFER IN PROGRESS*
                 AND *FILE TRANSFER COMPLETE* MESSAGES FOR
                 MFLINK, PTFS, AND FTFS.
          NAD    04/27/86   RHP    COMCPTF,COMFFTF,MFLINK,PTFXFR
  
 RHFB252  ENHANCE NOS/BE MFLINK TO PERMIT WRITING ON AN ATTACHED
          PERMANENT FILE WITH EXTEND AND MODIFY PERMISSIONS.
          NAD    03/29/86   RHP    COMFFTF,MFLINK 
  
 RHFB256  PROBLEM - SINCE MFLINK ONLY USES THE PRIMARY REASON CODE
                 (RC2) OF CONNECTION REJECT SUPERVISORY MESSAGES, 
                 THE DETAILED REASON CODE INFORMATION RETURNED BY 
                 NAM IS NOT READILY AVAILABLE.
          SOLUTION - ADD A NEW DAYFILE MESSAGE, INCLUDING THE 
                 FULL REASON CODE, WHICH PRECEDES THE EXISTING
                 CONNECTION REJECT MESSAGES.  DO NOT ISSUE THIS 
                 MESSAGE TO THE TERMINAL. 
          NAD    04/27/86   RHP    MFLINK 
  
 RHF0285  PROBLEM - PTFS *PERMIT* MODE DEFAULTS TO *WRITE*, 
            GIVING PERMITTED USER WRITE-ACCESS TO PERM FILE.
          SOLUTION - PTFS CORRECTED SO *PERMIT* MODE DEFAULTS 
            TO *READ* (LIKE NOS COMMAND). 
          DPK    05/14/86    RHP   PTFS 
  
 RHF0354  PROBLEM - PTFS CAN RETURN *FILE NAME ERROR* WHEN PROCESSING 
                 CHANGE/PERMIT COMMAND FOLLOWING FILE TRANSFER (ATTACH, 
                 DEFINE, ETC.), OR USE THE WRONG PERMANENT FILE NAME
                 FOR PERMIT FOLLOWING CHANGE(NFN=OFN/...).
          SOLUTION - PTFS INITIALIZES CHANGE/PERMIT PARAMETERS PROPERLY.
          DPK    05/23/86    RHP   PTFS 
  
 RHFB266  PROBLEM - PTFS DOES NOT RETURN A NETXFR ERROR MESSAGE 
          TO MFLINK WHEN PSR RHFB249 IS INSTALLED.
          SOLUTION - RHFB249 MODIFIED TO SEND *TRANSFER COMPLETE* 
          MESSAGE TO DAYFILE ONLY IF NETXFR COMPLETES NORMALLY. 
          DPK    06/30/86    RHP   PTFXFR 
  
 RHFB268  PROBLEM - WHEN OUTPUT FILES ARE ROUTED FROM NON-170 
                 HOSTS WITH NO EXPLICIT ROUTING TEXTS, NOS QTFS 
                 REJECTS TRANSFER WITH *ROUTE ERROR 37B*. 
          SOLUTION - CORRECT CODING ERROR IN QTFS MODULE PRDC,
                 INTRODUCED BY C3300B (RHF RELEASE 11, PSR LEVEL
                 650),  WHICH GENERATES INCORRECT DEFAULT 
                 EXTERNAL CHARACTERISTICS (EC) VALUE. 
          NAD    07/01/86   RHP    PRDC 
  
 RHF0365  PROBLEM - QTFI ABORT - *CMM CENTRAL MEMORY LIMIT
          INSUFFICIENT* - CONNECTION LOGFILE BUFFERS ARE NOT
          RELEASED WHEN PSR RHFB234B INSTALLED (LEVEL 650). 
          SOLUTION - CORRECT CMMAGR CALL IN ROUTINE *QACRESP* 
          (PSR RHFB234B CODE).
          NAD    07/08/86    RHP   QACRESP
  
 RHFB204  PROBLEM - RHF APPLICATIONS REJECT A 2043-CHARACTER PROTOCOL 
          BLOCK. E. G., QTFS, ABORT - ERROR IN ROUTINE NMSG/BSIZE.
          SOLUTION - INCREASE SIZE OF ACCEPTABLE PROTOCOL BLOCK FROM
          271 TO 273 WORDS (2032 TO 2047 8-BIT CHARACTERS). 
          DPK    06/19/86    RHP   FTFS,MFLINK,PTFS,QTF,QTFS
  
*L674*  *********************************************************************** 
  
 RHF0367B CORRECT INCONSISTENT USE OF AIP/FIP *NETXFR* DD VALUES
          FOR UU AND US. (NOTE, THIS DOES NOT AFFECT PTF/QTF
          OPERATION AS AIP/FIP NETXFR CURRENTLY TREAT UU AND US 
          IDENTICALLY.) 
          NAD    8/31/86
                 RHF0367A   RHF    COMACBX,XFRINIT
                 RHF0367B   RHP    DDC
  
 RHF0337  PROBLEM - JOBS SUBMITTED TO NOS/BE THROUGH QTFS HAVE
                 THEIR JOB NAMES FORCED TO THE JOB NAME PARAMETER 
                 SENT FROM THE REMOTE HOST.  IF THE JOB NAME IS 
                 SEVEN CHARACTERS, NON-UNIQUE NOS/BE JOB NAMES
                 MAY RESULT, WHICH CAN COMPLICATE ACCOUNTING. 
          SOLUTION - ALLOW NOS/BE TO ASSIGN JOB NAMES FOR INPUT 
                 FILES USING THE NORMAL JOB STATEMENT RULES.
          NAD    8/31/86    RHP    QUEFIL 
  
 RHF0318  PROBLEM - IF A NOS INTERACTIVE USER DETACHES WHILE
                 MFLINK IS EXECUTING (FOR EXAMPLE, DURING A 
                 LONG FILE TRANSFER), THE JOB SUSPENDS WHEN 
                 MFLINK TRIES TO ISSUE A MESSAGE TO THE TERMINAL. 
          SOLUTION - MODIFY MFLINK ROUTINE *SDM* TO CHECK THE 
                 NOS TERMINAL CONNECTION STATUS AND SKIP WRITE
                 TO TERMINAL IF JOB IS NOT ONLINE.
          NAD    8/31/86    RHP    MFLINK 
  
 RHFB281  PROBLEM:  QTF INCORRECTLY TREATS STATE-OF-TRANSFER
                 VALUE "022001" AS "RETRY" RATHER THAN "ABORT". 
          SOLUTION:  CORRECT ARRAY ITEM PRESETS IN MODULE PRSTXFR.
          NAD    08/18/86   RHP    PRSTXFR
  
 RHF0385  PROBLEM - PTFS RESTRICTS THE CHARGE TO THE
          DEFAULT CHARGE. 
          SOLUTION - CORRECT THE INADVERTANT CLEARING 
          OF THE VALIDATON PARAMETERS 
          KPH    12/03/86    PTFS 
 RHF0371  PROBLEM - MFQUEUE MAY ABORT WITH *CPU ERROR EXIT* OR DSP
                 ERROR IF CONTINUED ROUTING DIRECTIVES GIVEN. 
          SOLUTION - CORRECT MFQUEUE TO PROPERLY CONCATENATE MULTIPLE 
                 DIRECTIVES, CHECK FOR CONCATENATED LENGTH EXCEEDING
                 256 CHARACTERS, AND PROPERLY SET THE TEXT LENGTH 
                 FOR NOS/BE.
          NAD    8/31/86    RHP    MFQUEUE
  
 RHF0320  PROBLEM - MFQUEUE DID NOT ALLOW ROUTING DIRECTIVES
                 IF THE *DC* PARAMETER WAS SPECIFIED.  IT ENFORCED
                 THIS RESTRICTION BY CHECKING THAT NO DIRECTIVES
                 WERE SPECIFIED BY THE *I* OR *PC* PARAMETERS.
                 THIS CAUSES CONFLICTS FOR REMOTE HOSTS WHEN A
                 ROUTING DIRECTIVE SPECIFIES A BATCH JOB DIRECTIVE
                 BUT THE (DEFAULT) DISPOSITION CODE IS *LP*.
          SOLUTION - REMOVE THE RESTRICTION THAT ROUTING TEXT 
                 CANNOT BE PRESENT WHEN *DC* IS SPECIFIED.
                 NOTE THAT *MFQUEUE,,DC=XX* DIRECTIVES WHICH
                 PREVIOUSLY FAILED BECAUSE DIRECTIVES WERE FOUND
                 (SUCH AS BECAUSE OF A COMMENT FOLLOWING THE
                 MFQUEUE) NO LONGER ABORT AND THE DIRECTIVES
                 ARE SENT AS EXPLICIT ROUTING TEXT. 
          NAD    8/31/86    RHP    DFINIT,MFQUEUE 
  
 RHFB278  PROBLEM - PTFS GIVES THE WRONG ERROR RESPONSE FOR A 
          SINGLE CHARACTER DIRECTIVE. 
          SOLUTION - CHANGE THE CHECK IN ROUTINE *PUR* TO RECOGNIZE 
          THAT THE SUM OF THE WORD AND CHARACTER POSITION OF THE LAST 
          CHARACTER IS ZERO FOR A SINGLE CHARACTER DIRECTIVE. 
          KPH    06/24/86    RHF   PTFS 
  
 RHFB259  PROBLEM - QTF ABORTS WHEN TRANSFERING A 
          FILE THAT CONTAINS A SPACE IN THE QUEUE FILE NAME.
          SOLUTION - USE AN ALIAS LFN WHEN READING THE LFN AND
          PRESERVE THE QUEUE FILE NAME FOR REQUEUEING IF NECESSARY. 
          KPH    07/15/86    QACCALL  QACRESP 
 RHF0355  PROBLEM - THE ACTIVITY COUNTS ON THE B-DISPLAY DO NOT 
          SHOW THE CURRENTLY ACTIVE NUMBER OF PATHS.
          SOLUTION - ENSURE THAT WHEN THE ACTIVITY COUNT CHANGES, 
          THE B DISPLAY IS UPDATED BY ROUTINE QTFWAIT.
          KPH    06/24/86    RHF   COMQDEF, QTFWAIT 
  
 FDROPDS  PTFS PROCESSES THE DROPDS COMMAND INTRODUCED WITH NOS 2.5.1 
          (658).
          DPK    05/08/86    RHP   PTFS 
 RHFB297  PROBLEM - MFLINK DOES NOT PUT DAYFILE MESSAGES
          TO A CONNECTED TERMINAL.
          SOLUTION - CORRECT ERROR INTRODUCED BY RHF0318. 
          KPH    12/03/86    RHP   MFLINK 
 RHFB301  CORRECT THE FOLLOWING DEFECTS IN MFQUEUE INTRODUCED BY
          MODSET RHF0320: 
                 - NO EXPLICIT ROUTING TEXT IS GIVEN TO NOS DSP;
                 - CANNOT ENTER NULL DIRECTIVE INTERACTIVELY. 
          NAD    2/9/87     RHP    COMDFRD,DFINIT,DFREAD,MFQUEUE
  
*L688*  *********************************************************************** 
  
 RHF0335  PROBLEM - QTFS ABORTS WITH ERROR IN CONENDR.
          THE PROBLEM WAS DETERMINED TO BE A SEQUENCE OF COMMANDS AND 
          BACKS SUCH THAT THE SERVICER SENT AN "RPOS", RECEIVED A 
          "GO" AND WHILE WAITING FOR THE "FC/ACK" TO THE "RPOS" 
          RECEIVED A "SS" COMMAND.  QTFS DECIDED THAT THIS WAS AN 
          ILLEGAL COMMAND AND CAUSED QTFS TO CON/END THE CONNECTION.
          AFTER THE CONEND REPLY WAS RECEIVED AND QTFS CLEARED ITS
          INTERNAL TABLES, THE "FC/ACK" WAS RECEIVED BUT QTFS HAD NO
          CONNECTION ACTIVE.
  
          SOLUTION - FIX QTFS TO NOT GET THE "SS" AFTER THE "GO" HAS
          BEEN RECEIVED BUT TO WAIT FOR THE BACK TO THE THE 
          "RPOS".  ALSO INCLUDED IS A CHECK IN NMSG TO IGNORE 
          MESSAGES FOR ACNS THAT ARE NOT ACTIVE.
  
  
          KPH    06/24/86    RHP   COMQNET, AREQ, FCACKM, 
                                   INITQ, NMSG, RCM03 
                                   SFILI, SFILS 
  
 RHF0357  PROBLEM - PTFS ABORTS THE CONNECTION WHEN A FILE IS ON A
          MASS STORAGE UNIT AND THE *RT* HAS BEEN SET ON THE
          GET/ATTACH REQUEST. 
          SOLUTION - CORRECTLY PROCESS THE STATUS'S RETURNED BY PFM 
          THAT INDICATE THE FILE IS BEING STAGED. 
          KPH    12/03/86    RHP   COMCPTF, PTFS
 RHF0418  PROBLEM - VCP DOES NOT RECOGNIZE THAT A 10
          CHARACTER PARAMETER WILL HAVE THE NEXT WORD 
          ZEROED OUT. 
          SOLUTION - CHANGE VCP TO PROCESS 10 CHARACTER 
          PARAMETERS CORRECTLY. 
 RHF0418D KPH     1/ 5/87    RHC   COMCMAC
 RHF0418B                    RHP   PTFS, VCP
  
 RHF0380  PROBLEM - STORE AND FORWARD FILES FROM NOS TO NOS TO
          ELSEWHERE LOSE THE ORIGINATING "DD" VALUE.
          SOLUTION - SAVE THE ORIGINATING DD VALUE AND RESTORE IT 
          WHEN QUEUEING THE FILE IF THE FILE CONTENTS HAVE NOT BEEN 
          ALTERED TO A NEW DD TYPE. 
  
          APPLIES ONLY TO NOS 2.5.1 AND NOS/BE LEVEL 650. 
          NAD/KPH 86/10/30   RHP   DUDD,QUEFIL
  
 RHFB300  PROBLEM - A NULL LINE CAUSES PTFS TO ABORT
          THE TRANSFER WITH AN ILLEGAL DIRECTIVE. 
          SOLUTION - CHANGE PTFS TO IGNORE A LINE OF BLANKS.
          KPH     1/ 5/87    RHP   PTFS 
 RHFB310  PROBLEM - QTFI/QACRESP ASSEMBLY ERROR ON NOS/BE WHEN
          RHFB259 CODE INSTALLED. 
          SOLUTION - REARRANGE RHFB259 CODE FOR NOS/BE. 
          DPK    05/07/87    RHP   QACRESP
  
 RHF0381  PROBLEM - THE OUTPUT FROM BATCH JOBS ROUTED FROM NOS OR NOS/BE
                 TO ANOTHER HOST THROUGH AN INTERMEDIATE NOS NJEF 
                 STORE/FORWARD NODE DOES NOT RETURN TO THE REMOTE BATCH 
                 QUEUE. 
          ANALYSIS - QTF SAVES THE REMOTE BATCH TID INFORMATION IN THE
                 IMPLICIT TEXT SENT WITH THE FILE.  NOS NJEF DOES NOT 
                 SAVE THE IMPLICIT TEXT WHEN IT ACQUIRES THE FILE.  NJEF
                 DOES SAVE AND RESTORE SOME OTHER FIELDS ASSOCIATED WITH A
                 NOS FILE.
          WORKAROUND - HAVE QTF SEND THE DUN/DFM (NOS) OR TID (NBE) AS THE
                 UN IN THE SYSTEM ROUTING TEXT AS WELL.  AFTER NOS QTFS 
                 HAS PLACED THE FILE IN THE NOS QUEUE, IT SHOULD APPEAR 
                 TO HAVE A REMOTE USER NAME EQUAL TO THE REMOTE BATCH TID.
                 ON NBE, WHEN THE FILE RETURNS, QTFS TREATS A TWO-CHARACTER 
                 UN AS A TID. 
          NAD    2/17/87    RHP    GENSRT 
  
 RHF0412  PROBLEM - QTFS SUBMITS JOBS TO THE INPUT QUEUE
          WITH BAD PASSWORDS AND INDICATES TO *DSP* TO IGNORE 
          ANY PASSWORD ERRORS.
          SOLUTION - REMOVE THE RETRY CODE IN QTFS THAT ALLOWS
          *DSP* TO BE CALLED WITH A FLAG TO IGNORE BAD PASSWORDS. 
          KPH    12/03/86    RHP   QUEFIL 
*L700*  *********************************************************************** 
  
 RHFB290  PROBLEM - MFLINK ABORTS AFTER CONNECTION REJECT IF THE
                 REASON CODE IS INVALID.
          SOLUTION - CORRECT MFLINK TO PROCESS INVALID REASON CODES 
                 PROPERLY WHEN A CONNECTION IS REJECTED.
          KPH    03/16/87    RHP   MFLINK 
  
 RHFB314  PROBLEM - PTFS MUST ACCEPT A PREFERRED RESIDENCE VALUE OF *T* 
                 (PR=T) ON NOS 2.5.3 CHANGE, DEFINE, AND SAVE COMMANDS. 
          SOLUTION - PTFS MODIFIED TO ACCEPT PR=T.
          DPK    07/15/87    RHP   PTFS 
  
 RHFB316  PROBLEM - QTFS (NAM) CAN ABORT WITH NETXFR ERROR 34 
                 (UNKNOWN) IF THE RFT COMMAND DOES NOT INCLUDE AN 
                 ACKNOWLEDGEMENT WINDOW (ATTRIBUTE 18).  (NAM NETXFR
                 SEEMS TO NEED A VALID *ACKW* PARAMETER EVEN IF THE 
                 *FACIL* PARAMETER DOES NOT SPECIFY *M* (CHECKMARK).
                 PTFS (NAM) SETS A DEFAULT *ACKW* VALUE, AND AVOIDS 
                 THE ERROR.)
          SOLUTION - QTFS (NAM) MODIFIED TO SET A DEFAULT VALUE FOR 
                 NAM NETXFR-S *ACKW* PARAMETER (LIKE PTFS), WHEN THE
                 RFT COMMAND DOES NOT CONTAIN ATTRIBUTE 18. 
                 QTFS (RHF) MODIFIED TO CHECK RFT COMMAND ATTRIBUTE 3 
                 (FACILITIES) AND RETURN UNSUPPORTED FACILITIES WITH
                 THE RPOS COMMAND (ATTRIBUTE 3 *MODIFIED*). 
          DPK    07/23/87    RHP   RCM00
  
 RHF0431  PROBLEM - QTFS REJECTS A PRINT FILE WITH SPACING CODE (SC=) 
                 OVER 7, BUT NOS AND NOS/BE ALLOW SC VALUES 0-77B.
                 (QTFS, -1- XXXX TRANSFER REJECTED BY REMOTE HOST.) 
          SOLUTION - MODIFY QTFS ROUTINE VALTEXT TO ACCEPT SPACING
                 CODE VALUES OF 0-77B.
          DPK    06/12/87    RHP   VALTEXT
  
 RHFB318  PROBLEM - QTF APPLICATION CONNECTION REJECT (CON/ACRQ/A). 
                 1) QTF SHOULD NOT ATTEMPT ANY TRANSFER TO A REMOTE 
                 HOST AFTER RECEIVING ACRQ/A FROM NAM WITH REASON 
                 CODE 65 (NO OUTCALL BLOCK DEFINED).  (SEE RELATED
                 PSR NA50623 - AFTER 4 SUCH REJECTS, NAM EFFECTIVELY
                 DISABLES QTF BY REJECTING ALL APPLICATION CONNECTION 
                 REQUESTS.) 
                 2) QTF SHOULD REPORT THE REASON CODE VALUE.
          SOLUTION - QTF MODIFIED TO 1) DISABLE THE AFFECTED PID WHEN 
                 NAM RETURNS ACRQ/A WITH REASON CODE 65.  2) REPORT 
                 THE ACTUAL VALUE OF THE REASON CODE -
                 * QTF, CONNECTION REJECTED, REASON CODE = NNN.*
          DPK    08/07/87    RHP   SRES,QFSSKEL 
  
 RHF0392  PROBLEM - MFLINK WILL NOT SEND A PERMANENT FILE ATTACHED
                 WITH READ/MODIFY MODE (MFLINK - CANNOT READ FROM XXXX).
          SOLUTION - MODIFY ROUTINE GFL TO CHECK ONLY FILE TYPE AND 
                 INTERACTIVE FLAG IN FILINFO STATUS WORD. 
          DPK    07/06/87    RHP   GFL
  
 RHF0443  PROBLEM - PTFS RETURNS THE MESSAGE *FILE NOT FOUND* WHEN ONE
                 USER TRIES TO APPEND TO ANOTHER USER-S PERMANENT FILE
                 EVEN THOUGH SUCH ACCESS IS ALLOWED, IF THE PERMANENT 
                 FILE-S ALTERNATE-CATLIST PARAMETER IS DISABLED (AC=N). 
          SOLUTION - PTFS IS MODIFIED TO PROCESS THE APPEND DIRECTIVE 
                 WHETHER OR NOT ALTERNATE-CATLIST IS ENABLED. 
          DPK    11/17/87    RHP   PTFS 
  
 RHFB319  PROBLEM - PTFS REJECTS *REPLACE* DIRECTIVE WITH M=MODE. 
          SOLUTION - MODIFY PTFS TO ACCEPT *REPLACE* WITH M=MODE. 
          DPK    11/20/87    RHP   PTFS 
  
 RHFB305  PROBLEM - FTFS (NOS/BE) SENDS NOS/VE MFLINK THE INFORMATIVE 
                 MESSAGE *INVALID PARAMETER 11 FOR 00* AFTER ANY FILE 
                 TRANSFER, EVEN IF SUCCESSFUL.  THE NOS/VE USER MIGHT 
                 ASSUME THE TRANSFER FAILED, ALTHOUGH THE MESSAGE 
                 SIMPLY MEANS THAT FTFS HAS IGNORED A PARAMETER SENT BY 
                 MFLINK.  (PTFS (NOS) ALSO PUTS THIS MESSAGE INTO ITS 
                 OWN DAYFILE, BUT DOES NOT REPORT IT TO MFLINK.)
          SOLUTION - FTFS AND PTFS MODIFIED TO NOT ISSUE THE DAYFILE
                 MESSAGE AT ALL, AND TO RETURN THE UNKNOWN PARAMETER
                 WITH *IGNORE* ON RPOS OR RNEG (BUT NOT ON STOPR).
                 MFLINK MODIFIED TO ISSUE THE MESSAGE FOR AN UNKNOWN
                 PARAMETER RECEIVED ON RPOS (BUT NOT ON RNEG OR STOPR). 
          DPK    12/15/87    RHP   FTFS,MFLINK,PRP,PTFS 
  
 RHFB322  PROBLEM - PTFS LOOPS UNTIL MESSAGE LIMIT, ISSUING DAYFILE 
                 MESSAGE  *DEFAULT CHARGE IS NULL* WHEN 
                 1) USER-S VALIDATION REQUIRES A CHARGE CARD (CCNR=0),
                 2) USER-S DEFAULT CHARGE IS NULL, AND
                 3) NO *CHARGE DIRECTIVE IS SUPPLIED. 
          SOLUTION - PTFS MODIFIED TO REJECT THE TRANSFER WITH MESSAGES 
                 *DEFAULT CHARGE IS NULL* AND *CHARGE REQUIRED.*
          DPK    12/04/87    RHP   PTFS 
  
 RHF0406  PROBLEM - MFLINK (NOS) HAS USELESS LID-CHECKING CODE. 
          SOLUTION - UNNECESSARY CODE REMOVED.
          DPK    12/02/87    RHP   MFLINK 
  
 RHF0375  PROBLEM - MFLINK KEEPS USER TEXT (FOR RECOVERY PURPOSES)
                 ON LOCAL FILE ZZZZZR0 IN READABLE FORM.
          SOLUTION - MFLINK MODIFIED TO DISGUISE USER TEXT ON ZZZZZR0.
          DPK    12/28/87    RHP   MFLINK 
*L716*  *********************************************************************** 
  
 RHF0374  PROBLEM - MFLINK DOES NOT ALWAYS RETURN ERROR CODE TO MFLCALL 
                 IF ERROR OCCURS AFTER TRANSFER (E.G., ATTEMPT TO 
                 CATALOG 6TH CYCLE ON REMOTE HOST). 
          SOLUTION - MFLINK MODIFIED TO PASS ERROR CODE TO MFLCALL
                 AFTER STOPR ERROR. 
          DPK    08/19/87    RHP   MFLINK 
  
 RHF0396  PROBLEM - MFLCALL (MFLINK MACRO) RETURNS NO ERROR CODE AFTER
                 SYSTEM ABORT (OPERATOR DROP, MESSAGE LIMIT, ETC.). 
          SOLUTION - ADD NEW MFLINK ERROR CODE FOR SWT/MFLCALL. 
                 ADD NEW MFLCALL RETURN CODE (23B) FOR LDB WORD 0,
                   AND A NEW MFLCALL ERROR MESSAGE -- 
                 *MFLCALL/MFLINK - ABORTED BY SYSTEM.*
                 (MISCELLANEOUS CORRECTIONS AND DOCUMENTATION --
                   MFLINK/MFLCALL/COMFFTF - SWT REPLY WORD FORMAT,
                   MFLCALL - LDB WORD 0 FORMAT, MISSPELLED WORDS.)
          DPK    08/19/87    RHC   COMFFTF,MFLINK,MFLCALL 
  
 RHF0452  PROBLEM - QTFS (NAM/CDCNET) MESSAGES ARE INCORRECT -
                 1) A MISLEADING PID APPEARS IN THE MESSAGE 
                    *QTFS, -1-      CONNECTION TO PID ESTABLISHED*
                    (PID IS THE CDCNET NODE, NOT THE PID).
                 2) A MISLEADING STATE (ABORTED) APPEARS IN THE MESSAGE 
                    *QTFS, -1-      CONNECTION TO XXX ABORTED*
                    ALTHOUGH THE TRANSFER COMPLETED NORMALLY. 
          SOLUTION -
                 1) THE MESSAGE HAS BEEN MODIFIED 
                    *QTFS, -1-      CONNECTION ESTABLISHED* 
                    (THE REMOTE PID APPEARS IN A SUBSEQUENT MESSAGE). 
                 2) QTFS/CONENDM MODIFIED TO DISPLAY THE CORRECT STATE
                    *QTFS, -1-      CONNECTION TO XXX ENDED*
                    AFTER A SUCCESSFUL TRANSFER.
          DPK    02/16/88    RHP   CONENDR,CONREQM
  
 RHFB255  PROBLEM - MFLINK (NOS) WITH *RT* ABORTS IF RHF PATH IS
                 UNAVAILABLE, EVEN IF NAM PATH IS AVAILABLE.
          SOLUTION - MFLINK WITH *RT* MODIFIED TO ABORT ONLY AFTER
                 TRYING ALL AVAILABLE PATHS.
          DPK    03/22/88    RHP   MFLINK 
  
 RHFB296  PROBLEM - FTFS/PTFS/QTFS SHOULD REJECT (RNEG) PROPOSED *A102* 
                 TRANSFERS, BECAUSE THESE APPLICATIONS DO NOT PROPERLY
                 SUPPORT A102-TYPE PARAMETERS (SUCH AS LONGER FILE AND
                 JOB NAMES) WHICH ACCOMPANY THE RFT COMMAND.
          SOLUTION - PTFS/QTFS/FTFS MODIFIED TO REJECT (RNEG) ANY RFT 
                 WITH AN UNSUPPORTED PROTOCOL IDENTIFIER (NOT *A101*).
          DPK    02/16/88    RHP   FTFS,PTFS,RCM00
  
 RHFB326  PROBLEM - QTFS ASSUMES AN 8-BIT PLOT FILE (DC=PL,EC=T8) IS A
                 6-BIT FILE (EC=T6), UNLESS IC=ASCII ALSO APPEARS ON
                 THE ROUTING DIRECTIVE. 
          SOLUTION - QTFS MODIFIED TO USE IC=ASCII BY DEFAULT FOR 8-BIT 
                 PLOT FILES (DC=PL,EC=T8).  (THE SAME DEFAULT APPLIES 
                 NOW FOR 8-BIT PRINT FILES (DC=PR,EC=A9).)
          DPK    01/27/88    RHP   VALTEXT
  
 RHFB398  PROBLEM - QTF DOES NOT TRANSFER SERVICE CLASS WITH QUEUE FILE.
                 ACTUALLY, THE SERVICE CLASS IS TRANSMITTED, BUT IF QTFS
                 CANNOT PUT THE FILE INTO THE QUEUE BECAUSE THE SERVICE 
                 CLASS IS UNDEFINED OR INCORRECT, QTFS WILL CLEAR THE 
                 SERVICE CLASS AND TRY TO QUEUE THE FILE AGAIN. 
          SOLUTION - QTFS IS MODIFIED TO REJECT THE FILE TRANSFER IF THE
                 SERVICE CLASS IS INCORRECT.
          KAK    02/02/88    RHP   QUEFIL 
  
 RHFB328  PROBLEM - QTF WILL IGNORE CERTAIN QUEUE FILES IF TOO MANY PIDS
                 AND LIDS ARE DEFINED AND ENABLED IN THE CMR LID TABLE. 
          SOLUTION - CHANGE THE DEFAULT SIZE OF QTF-S PID/LID TABLE FROM
                 128 TO 256 WORDS.
          DPK    06/02/88    RHP   COMCAPR
 RHFB233  PROBLEM - MFLINK/PTFS ABORT WITH *INVALID SUPERVISORY MESSAGE*
                 WHEN OPERATOR ENTERS K.DU=ALL FROM NAM K-DISPLAY.
          SOLUTION - MFLINK/PTFS MODIFIED TO IGNORE NAM MESSAGES. 
          DPK    08/23/88    RHP   GMB
  
 RHFB270  PROBLEM - PTFS ABORTS WITH *INVALID COMMAND* AND *ACFETCH - 
                 ERROR IN VALUE CONVERSION* BECAUSE MULTIPLE NETWORK
                 BLOCKS ARE NOT COMBINED PROPERLY.
          SOLUTION - PTFS (MFLINK) ROUTINE *GMB* CORRECTED TO COMBINE 
                 NETWORK BLOCKS PROPERLY. 
          KPH/DPK 88/09/07   RHP   GMB
  
 RHF0395  PROBLEM - QTF (NAM) ABORTS (OR SENDS A MISLEADING MESSAGE IF
                 PSR RHF0335 IS INSTALLED) WHEN IT RECEIVES A HOST
                 OPERATOR MESSAGE FROM NAM (E. G., K.LB=ALL). 
          SOLUTION - QTF/QTFS MODIFIED TO IGNORE NAM OPERATOR MESSAGES
                 NOTE - THIS MODIFICATION AFFECTS NOS QTF ONLY. 
          DPK    08/25/88    RHP   NMSG 
  
 RHF0447  PROBLEM - MFLINK ABORTS WITH MESSAGE *RPV INVALID CALL* WHEN
                 NOS USER ENTERS USER BREAK 1 AT TERMINAL.
          SOLUTION - MFLINK FOR NOS MODIFIED TO TERMINATE WITH MESSAGE
                 *MFLINK - TERMINATED BY USER* IN RESPONSE TO EITHER
                 USER BREAK 1 OR 2. 
          DPK    08/12/88    RHP   MFLINK 
  
 RHFB222  PROBLEM-IF "QTF" OR "QTFS" IS ENTERED INTERACTIVELY, THE
                  USER GETS NO ERROR MESSAGE. 
          SOLUTION-INITQ IS MODIFIED TO ISSUE "JOB ORIGIN ERROR" TO 
                  THE TERMINAL. 
          KAK    09/06/88     RHP    INITQ
 RHFB272  PROBLEM - PTF AND QTF DO NOT PROCESS FACILITIES ATTRIBUTE (03)
                 CORRECTLY IN ALL CASES.
          SOLUTION - PTF AND QTF MODIFIED TO PROCESS ATTR 03 FACILITIES 
                 ACCORDING TO NETWORK -- LCN (PTF/QTF)   NAM (PTF/QTF)
                   FACILITIES REQUIRED       NONE/NONE        *S*/*S* 
                              ALLOWED         *C*/NONE      *CMR*/*MR*
                 1.  SERVICERS (FTFS/PTFS/QTFS) NOW OMIT ATTR 03 IN 
                     RPOS IF RFT ATTR 03 ACCEPTABLE, OR RETURN MODIFIED 
                     ATTR 03 IN RPOS. (RETURN RNEG ONLY IF RFT ATTR 03
                     IS NON-ALPHANUMERIC OR TOO LONG.)
                 2.  INITIATORS (MFLINK/QTFI) NOW ABORT TRANSFER IF 
                     RPOS ATTR 03 IS UNACCEPTABLE.
  
                 NEW DECK    DESCRIPTION
                 FACBTD      CONVERT FACILITIES BITS TO CHARACTERS
                 FACCHK      CHECK FACILITIES 
                 FACDTB      CONVERT FACILITIES CHARACTERS TO BITS
          DPK    09/23/88    RHP   COMQFIL,BCM00,FACBTD,FACCHK,FACDTB,
                                   FTFS,MFLINK,PTFS,RCM00,RCM01 
  
*L739*  *********************************************************************** 
  
 RHF0479  PROBLEM - PTFS *DROPDS* DIRECTIVE DOES NOT WORK.
          SOLUTION - PTFS MODIFIED TO PROCESS DIRECTIVE CORRECTLY.
          DPK    10/25/88    RHP   PTFS 
  
 RHF0481  PROBLEM - PTFS RETURNS A BAD ERROR MESSAGE FOR A DIRECTIVE
                 WHEN A PARAMETER DOES NOT HAVE A REQUIRED VALUE -
                   * PTFS - INVALID CT          PTFS  - .*
          SOLUTION - VCP MODIFIED TO CORRECT THE ERROR MESSAGE -
                   * PTFS - INVALID CT         NO VALUE .*
          BTA    11/10/88    RHP   VCP
  
 RHF0382B PROBLEM - ACFETCH STOPS CONVERTING A NETWORK MESSAGE WITHOUT
                 WARNING IF IT FINDS 1) A CM WORD OF ZERO (FORMED BY 8
                 OR MORE CONSECUTIVE ASCII NULLS), OR 2) AN ASCII 
                 CHARACTER VALUE ABOVE 172B (7A).  THIS CAN CAUSE SUB-
                 SEQUENT PARAMETER PROCESSING ERRORS, SUCH AS 
                   *APFETCH - ERROR IN VALUE CONVERSION*. 
          SOLUTION - ACFETCH (LV7CALL) MODIFIED TO CONVERT NETWORK MES- 
                 SAGES PROPERLY.  1) CALLER MUST NOW INDICATE THE NUMBER
                 OF CHARACTERS IN THE MESSAGE (*TEXTLEN* PARAMETER).
                   NEW SYMPL CALL:  CMD = ACFETCH(TEXTHDR,TEXTLEN)
                 2) ACFETCH NOW PROCESSES EXACTLY *TEXTLEN* CHARACTERS, 
                 FIRST CHANGING ASCII CHARACTER VALUES 0-377B TO 0-137B,
                 THEN CONVERTING TO CORRESPONDING DISPLAY CODE OR BLANK.
                 ASSOCIATED MODIFICATIONS:  
                   COMCMAC - (COMPASS MACRO DEFINITION). NEW FORMAT IS
                     [TAG]   ACFETCH TEXTHDR,TEXTLEN[,CMD]
                   PLEV7M  - (FIP SUBROUTINE (RHF/NETXFR)), 
                   AREQ, APSTOR, NMSG - (QTF/QTFS SUBROUTINES), 
                   MFLINK, PTFS, FTFS.
  
                 IDENT       PL    DECKS
                 -----       --    -----
                 RHF0382     RHC   COMCMAC,LV7CALL
                 RHF0382A    RHF   PLEV7M 
  
          DPK    11/28/88    RHP   APSTOR,AREQ,MFLINK,NMSG,PTFS,FTFS
  
 RHF0489  PROBLEM - PTFS MAY RETURN A FAULTY OR GARBLED ERROR MESSAGE 
          FOR A *DEFINE* DIRECTIVE THAT INCLUDES PARAMETER *S=* (SIZE). 
            FOR EXAMPLE,  PTFS - DEFINE,XXX/CT=PU,S=7,AC=Y,NA.
                          PTFS -  INVALID  AC        =         .
          WORKAROUND - SPECIFY *S=* LAST ON *DEFINE* DIRECTIVE. 
          SOLUTION - ROUTINE *VCP* CORRECTED. 
          BTA    12/20/88    RHP   VCP
  
 *L774*    ************************************************ 
 RHFB367  PROBLEM - PTFS GETS AN ASSEMBLY ERROR WHEN BUILT WITH NOS 
                 2.7.4-797 FEATURE CODE.
          SOLUTION - RENAME SYMBOL *ATOD* TO AVOID SYMBOL CONFLICT. 
          PCS    92/04/03    RHP   PTFS 
  
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 RHP*94   PROBLEM -  COPYRIGHT STATEMENTS NEED TO BE UPDATED. 
  
          SOLUTION - UPDATE ALL COPYRIGHTS TO 1994 AND CHANGE ANY REFERENCES
                     TO CONTROL DATA CORPORATION TO CONTROL DATA SYSTEMS INC. 
  
          BAO    02/14/94    COMCAPR,COMCUCS,QFIRES,DFINIT,COMPRPV,COMQUPC, 
                             MFLINK,FTFS,PTFS,MFLCALL,MFQUEUE,DDC,ECL,EPT,
                             GFL,GMB,GTL,PDP,PHT,PJN,PMB,PRP,PTP,RCT,RML, 
                             SML,SNP,SRM,STT,TNL,VCP,WLB,FT$DBG,FT$GET, 
                             FT$GETL,FT$NIL,FT$OFF,FT$ON,FT$PUT,FT$XFR, 
                             FT$WAIT
 *L840*    ************************************************ 
 RHFB368  PROBLEM - THE SERVICE CLASSES I4-I8 CANNOT BE USED WITH 
                 RHF WITHOUT A LOCAL MOD. 
          SOLUTION - DEFINE SERVICE CLASSES I4 - I8 BY DEFAULT. 
          PCS    96/02/08    RHP   COMCDSP   QACRESP
  
 *L859*    ************************************************ 
  
* 
*         PL91 HISTORY -- COPYRIGHT CONTROL DATA CORPORATION -- 1981
* 
